#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: accData.sql,v 1.45 2004/02/13 14:13:05 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# gfilippi  30/11/99  created
# psivera   28/11/01  changed email field with backplane_name (SPR 20010665)
#

>>>>>>>>>>>>>>
>>>>>>>>>>>>>> THIS FILE IS A TEMPLATE. REMOVE THESE LINES 
>>>>>>>>>>>>>> AND FILL IT ACCORDINGLY TO YOUR NEEDS
>>>>>>>>>>>>>>


#************************************************************************
#   NAME
#       accData.sql - ASCII copy of the ACC database
#
#   SYNOPSIS
#       $VLTDATA/msql/accData.sql
#
#   DESCRIPTION
#       database definition for some machines currently part 
#       of the VLT development pool
# 
#       To load this file:
#                           $VLTDATA/msql/accLoadData
#
#
#  CAUTION
#
#------------------------------------------------------------------------

# **************
# *  Subnets   *
# **************
#
# enable_status  -> accENABLED | accDISABLED
# telescope_unit -> UT1 | UT2 | UT3 | UT4 | VLTI | (null)
#
#        subnet_name     Subnet name
#        description     Short description
#        ip_address      IP address (x.y.z.0)
#        router_name     DNS router name (gateway)
#        router_ip_addr  router (gateway) IP address
#        enable_status   '' (not used)
#        instrument      '' (not used)
#        telescope_unit  '' (not used)
#

# Examples:
# INSERT INTO subnet VALUES ('a1','UT1 acquisition       LAN','134.171.208.0','esohq-r1-atm0-12','134.171.208.254','','','')\g
# INSERT INTO subnet VALUES ('r1','UT1 Rapid Guiding     LAN','134.171.212.0','esohq-r1-atm0-12','134.171.212.254','','','')\g
# INSERT INTO subnet VALUES ('t1','UT1 Telescope Control LAN','134.171.216.0','esohq-r1-atm0-12','134.171.216.254','','','')\g
# INSERT INTO subnet VALUES ('ta','UT1 Test Camera LAN','134.171.202.0','esohq-r1-atm0-12','134.171.202.254','','','')\g


# **************
# *  stations  *
# **************

#
# define  stations (hosts)
#    station_name   host name (e.g.: te49) 
#    station_type   '' 
#    subnet_name    ''  
#    ip_address     IP address of the host (x.y.z.w)
#    active_status  ''
#    location       ''
#    responsible    ''
#    telephone      ''
#    backplane_name ''
#    station_arch   hp9700 | solaris | 68k     | ppc
#    station_cpu    hppa   | sparc   | MC68040 | PPC604
#    station_bsp           |         | mv167   | mv2604   (for LCU host type only)
#    attic          1=do not show it in host list | 0=visible
#
#
# Examples:
#
#
# UT1 Instrument: Test Camera
#
# INSERT INTO station VALUES ('wtatcam','','ta','134.171.202.1'  ,'','UT1-HP-C110 Test Camera WS       ','VCM','','','hp9700' ,'hppa'  ,''  ,0)\g
# INSERT INTO station VALUES ('ltatcam','','ta','134.171.202.16' ,'','UT1-TC Instrument Control        ','VCM','','','68k','MC68040','mv167',0)\g
# INSERT INTO station VALUES ('ltatcpi','','ta','134.171.202.17' ,'','UT1-TC Pupil image TCCD          ','VCM','','','68k','MC68040','mv167',0)\g
# INSERT INTO station VALUES ('ltatcwf','','ta','134.171.202.18' ,'','UT1-TC Wavefront TCCD            ','VCM','','','68k','MC68040','mv167',0)\g
# INSERT INTO station VALUES ('wtaccd' ,'','ta','134.171.202.19' ,'','UT1-TC FIERA CCD                 ','VCM','','','solaris','sparc' ,''  ,0)\g


# ******************
# *  environments  *
# ******************

# define environments (RTAP, CCS-lite, LCU)
#
#    progenv_name   environment name
#    description    ''
#    env_type       RTAP | LCU | QSEMU
#    tcp_port       TCP port number (as in /etc/services)
#    station_name   host where the environment is running
#    attic          1 (do not show it in environment list) | 0 (visible)

# Example
# INSERT INTO prog_environment VALUES ('wtatcam' ,'','RTAP',2310,'wtatcam','','','',0 )\g
# INSERT INTO prog_environment VALUES ('ltatcam' ,'','LCU', 2160,'ltatcam','','','',0 )\g
# INSERT INTO prog_environment VALUES ('ltatcpi' ,'','LCU', 2160,'ltatcpi','','','',0 )\g
# INSERT INTO prog_environment VALUES ('ltatcwf' ,'','LCU', 2160,'ltatcwf','','','',0 )\g
# INSERT INTO prog_environment VALUES ('wtaccd'  ,'','QSEMU',2303,'wtaccd','','','',0 )\g

# ******************
# *  progenv_name  *
# ******************

#
# Default RTAP(or ','QSEMU) environment from which an LCU environment boots
# (also log reporting node)
#
#    progenv_name   "client" LCU environment name
#    bootenv_name   "host" RTAP (or ','QSEMU) environment name
  
# Examples
# INSERT INTO lcu_progenv VALUES ('ltatcam'  ,'wtatcam' ) \g
# INSERT INTO lcu_progenv VALUES ('ltatcpi'  ,'wtatcam' ) \g
# INSERT INTO lcu_progenv VALUES ('ltatcwf'  ,'wtatcam' ) \g

#
#___oOo___
