#############################################################################
# E.S.O. - VLT project
#
# "@(#) $Id: Sb256.v,v 1.104 2005/09/12 09:20:34 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  08/10/98  created
#
#############################################################################
#
# DESCRIPTION
# Voltage file for Santa Barbara 256x256 array.
#
#############################################################################

#############################################################################
# Space for additional information...
#############################################################################

#############################################################################
# Clock Voltages:
#############################################################################
DET.VOLT.CLKHINM1  "ck1Hi.SyncFast";    # Name of High Clock
DET.VOLT.CLKHI1     -7.333;             # Set value for High Clock
DET.VOLT.CLKHIRA1  "[-8.000, -6.500]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC1          1;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL1          1;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM1  "ck1Lo.SyncFast";    # Name of Low Clock
DET.VOLT.CLKLO1     -3.000;             # Set value for Low Clock
DET.VOLT.CLKLORA1  "[-3.500, -2.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC1          2;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL1          2;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM2  "ck2Hi.Fast1";       # Name of High Clock
DET.VOLT.CLKHI2     -7.350;             # Set value for High Clock
DET.VOLT.CLKHIRA2  "[-8.000, 8.000]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC2          3;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL2          3;          # TEL Ch. Channel for High Clock

DET.VOLT.CLKLONM2  "ck2Lo.Fast1";       # Name of Low Clock
DET.VOLT.CLKLO2     -2.500;             # Set value for Low Clock
DET.VOLT.CLKLORA2  "[-8.000, 8.000]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC2          4;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL2          4;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM3  "ck3Hi.Fast2";       # Name of High Clock
DET.VOLT.CLKHI3     -7.150;             # Set value for High Clock
DET.VOLT.CLKHIRA3  "[-8.000, -6.500]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC3          5;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL3          5;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM3  "ck3Lo.Fast2";       # Name of Low Clock
DET.VOLT.CLKLO3     -2.630;             # Set value for Low Clock
DET.VOLT.CLKLORA3  "[-3.500, -2.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC3          6;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL3          6;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM4  "ck4Hi.SyncSlow";    # Name of High Clock
DET.VOLT.CLKHI4     -6.240;             # Set value for High Clock
DET.VOLT.CLKHIRA4  "[-7.000, -5.500]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC4          7;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL4          7;          # TEL Ch. for High Clock 

DET.VOLT.CLKLONM4  "ck4Lo.SyncSlow";    # Name of Low Clock
DET.VOLT.CLKLO4     -3.000;             # Set value for Low Clock
DET.VOLT.CLKLORA4  "[-3.500, -2.500]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC4          8;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL4          8;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM5  "ck5Hi.Slow1";       # Name of High Clock
DET.VOLT.CLKHI5     -6.840;             # Set value for High Clock
DET.VOLT.CLKHIRA5  "[-7.500, -6.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC5          9;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL5          9;          # TEL Ch. for High Clock 

DET.VOLT.CLKLONM5  "ck5Lo.Slow1";       # Name of Low Clock
DET.VOLT.CLKLO5     -2.530;             # Set value for Low Clock
DET.VOLT.CLKLORA5  "[-3.000, -2.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC5         10;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL5         10;          # TEL Ch. for Low Clock 

DET.VOLT.CLKHINM6  "ck6Hi.Slow2";       # Name of High Clock
DET.VOLT.CLKHI6     -6.840;             # Set value for High Clock
DET.VOLT.CLKHIRA6  "[-7.500, -6.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC6         11;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL6         11;          # TEL Ch. for High Clock 

DET.VOLT.CLKLONM6  "ck6Lo.Slow2";       # Name of Low Clock
DET.VOLT.CLKLO6     -2.530;             # Set value for Low Clock
DET.VOLT.CLKLORA6  "[-3.000, -2.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC6         12;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL6         12;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM7  "ck7Hi.CKRST";       # Name of High Clock
DET.VOLT.CLKHI7     -5.850;             # Set value for High Clock
DET.VOLT.CLKHIRA7  "[-6.500, -5.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC7         13;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL7         13;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM7  "ck7Lo.CKRST";       # Name of Low Clock
DET.VOLT.CLKLO7     -3.540;             # Set value for Low Clock
DET.VOLT.CLKLORA7  "[-4.000, -3.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC7         14;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL7         14;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM8  "ck8Hi.VBOUT_CK";    # Name of High Clock
DET.VOLT.CLKHI8     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA8  "[-7.000, 7.000]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC8         15;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL8         15;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM8  "ck8Lo.VBOUT_CK";    # Name of Low Clock
DET.VOLT.CLKLO8     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA8  "[-7.000, 7.000]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC8         16;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL8         16;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM9  "clock9Hi";          # Name of High Clock
DET.VOLT.CLKHI9     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA9  "[-0.500, 0.500]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC9         17;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL9         17;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM9  "clock9Lo";          # Name of Low Clock
DET.VOLT.CLKLO9     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA9  "[-0.500, 0.500]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC9         18;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL9         18;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM10 "clock10Hi";         # Name of High Clock
DET.VOLT.CLKHI10     -2.500;            # Set value for High Clock
DET.VOLT.CLKHIRA10  "[-2.600, -2.400]"; # Allowed range for High Clock
DET.VOLT.CLKHIDAC10        19;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL10        19;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM10  "clock10Lo";        # Name of Low Clock
DET.VOLT.CLKLO10     -2.500;            # Set value for Low Clock
DET.VOLT.CLKLORA10  "[-2.600, -2.400]"; # Allowed range for Low Clock
DET.VOLT.CLKLODAC10        20;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL10        20;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM11 "clock11Hi";         # Name of High Clock
DET.VOLT.CLKHI11     -1.000;            # Set value for High Clock
DET.VOLT.CLKHIRA11 "[-1.500, -0.500]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC11        21;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL11        21;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM11 "clock11Lo";         # Name of Low Clock
DET.VOLT.CLKLO11     -1.000;            # Set value for Low Clock
DET.VOLT.CLKLORA11 "[-1.500, -0.500]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC11        22;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL11        22;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM12 "clock12Hi";         # Name of High Clock
DET.VOLT.CLKHI12     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA12 "[-0.500, 0.500]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC12        23;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL12        23;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM12 "clock12Lo";         # Name of Low Clock
DET.VOLT.CLKLO12     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA12 "[-0.500, 0.500]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC12        24;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL12        24;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM13 "clock13Hi";         # Name of High Clock
DET.VOLT.CLKHI13     0.500;             # Set value for High Clock
DET.VOLT.CLKHIRA13 "[0.000, 1.000]";    # Allowed range for High Clock
DET.VOLT.CLKHIDAC13        25;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL13        25;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM13 "clock13Lo";         # Name of Low Clock
DET.VOLT.CLKLO13     0.500;             # Set value for Low Clock
DET.VOLT.CLKLORA13 "[0.000, 1.000]";    # Allowed range for Low Clock
DET.VOLT.CLKLODAC13        26;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL13        26;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM14 "clock14Hi";         # Name of High Clock
DET.VOLT.CLKHI14     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA14 "[-0.500, 0.500]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC14        27;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL14        27;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM14 "clock14Lo";         # Name of Low Clock
DET.VOLT.CLKLO14     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA14 "[-0.500, 0.500]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC14        28;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL14        28;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM15 "clock15Hi";         # Name of High Clock
DET.VOLT.CLKHI15     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA15 "[-0.500, 0.500]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC15        29;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL15        29;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM15 "clock15Lo";         # Name of Low Clock
DET.VOLT.CLKLO15     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA15 "[-0.500, 0.500]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC15        30;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL15        30;          # TEL Ch. for Low Clock

DET.VOLT.CLKHINM16 "clock16Hi";         # Name of High Clock
DET.VOLT.CLKHI16     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA16 "[-0.500, 0.500]";   # Allowed range for High Clock
DET.VOLT.CLKHIDAC16        31;          # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL16        31;          # TEL Ch. for High Clock

DET.VOLT.CLKLONM16 "clock16Lo";         # Name of Low Clock
DET.VOLT.CLKLO16     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA16 "[-0.500, 0.500]";   # Allowed range for Low Clock
DET.VOLT.CLKLODAC16        32;          # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL16        32;          # TEL Ch. for Low Clock

#############################################################################
# DC Voltages:
#############################################################################
DET.VOLT.DCNM1   "DC1-VDDUC";           # Name for DC Voltage
DET.VOLT.DC1     -3.800;                # Set value for DC Voltage
DET.VOLT.DCRA1   "[-4.500, -3.500]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC1            33;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL1            33;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM2   "DC2-VDET";            # Name for DC Voltage
DET.VOLT.DC2     -3.800;                # Set value for DC Voltage
DET.VOLT.DCRA2   "[-3.900, -3.000]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC2            34;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL2            34;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM3   "DC3-VGG";             # Name for DC Voltage
DET.VOLT.DC3     -1.200;                # Set value for DC Voltage
DET.VOLT.DCRA3   "[-1.800, -0.800]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC3            35;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL3            35;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM4   "DC4-VDDOUT";          # Name for DC Voltage
DET.VOLT.DC4     -1.000;                # Set value for DC Voltage
DET.VOLT.DCRA4   "[-1.500, -0.500]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC4            36;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL4            36;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM5   "DC5-V3";              # Name for DC Voltage
DET.VOLT.DC5     -2.600;                # Set value for DC Voltage
DET.VOLT.DCRA5   "[-3.600, -1.600]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC5            37;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL5            37;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM6   "DC6-VBOUT_DC";        # Name for DC Voltage
DET.VOLT.DC6     0.522;                 # Set value for DC Voltage
DET.VOLT.DCRA6   "[-5.000, 5.000]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC6            38;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL6            38;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM7   "DC7-VLOAD";           # Name for DC Voltage
DET.VOLT.DC7     6.545;                 # Set value for DC Voltage
DET.VOLT.DCRA7   "[0.000, 7.500]";      # Allowed range for DC Voltage
DET.VOLT.DCDAC7            39;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL7            39;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM8   "DC8-VTR+";            # Name for DC Voltage
DET.VOLT.DC8     -1.111;                # Set value for DC Voltage
DET.VOLT.DCRA8   "[-2.000, 5.000]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC8            40;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL8            40;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM9   "DC9-VTR-";            # Name for DC Voltage
DET.VOLT.DC9     -7.000;                # Set value for DC Voltage
DET.VOLT.DCRA9   "[-8.000, -3.000]";    # Allowed range for DC Voltage
DET.VOLT.DCDAC9            41;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL9            49;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM10  "DC10-REF";            # Name for DC Voltage
DET.VOLT.DC10     0.500;                # Set value for DC Voltage
DET.VOLT.DCRA10  "[-5.000, 5.000]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC10           42;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL10           50;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM11  "DC11";                # Name for DC Voltage
DET.VOLT.DC11     0.000;                # Set value for DC Voltage
DET.VOLT.DCRA11  "[-1.000, 1.000]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC11           43;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL11           51;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM12  "DC12";                # Name for DC Voltage
DET.VOLT.DC12     0.300;                # Set value for DC Voltage
DET.VOLT.DCRA12  "[-0.200, 1.000]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC12           44;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL12           52;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM13  "DC13";                # Name for DC Voltage
DET.VOLT.DC13     0.000;                # Set value for DC Voltage
DET.VOLT.DCRA13  "[-0.500, 0.500]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC13           45;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL13           53;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM14  "DC14";                # Name for DC Voltage
DET.VOLT.DC14     0.000;                # Set value for DC Voltage
DET.VOLT.DCRA14  "[-0.500, 0.500]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC14           46;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL14           54;          # TEL Ch. for DC Voltage

DET.VOLT.DCNM15  "DC15";                # Name for DC Voltage
DET.VOLT.DC15     0.000;                # Set value for DC Voltage
DET.VOLT.DCRA15  "[-0.500, 0.500]";     # Allowed range for DC Voltage
DET.VOLT.DCDAC15           47;          # DAC Ch. for DC Voltage
DET.VOLT.DCTEL15           55;          # TEL Ch. for DC Voltage

#
# --- oOo ---
