#############################################################################
# E.S.O. - VLT project
#
# "@(#) $Id: zero.v,v 1.104 2005/09/12 09:20:35 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  08/10/98  created
#
#############################################################################
#
# DESCRIPTION
# template for voltage file (all voltages are set to zero).
#
#############################################################################

#############################################################################
# Space for additional information...
#############################################################################


#############################################################################
# Clock Voltages:
#############################################################################

DET.VOLT.CLKHINM1   "ck1Hi";            # Name of High Clock
DET.VOLT.CLKHI1     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA1   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC1        1;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL1        1;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM1   "ck1Lo";            # Name of Low Clock
DET.VOLT.CLKLO1     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA1   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC1        2;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL1        2;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM2   "ck2Hi";            # Name of High Clock
DET.VOLT.CLKHI2     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA2   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC2        3;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL2        3;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM2   "ck2Lo";            # Name of Low Clock
DET.VOLT.CLKLO2     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA2   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC2        4;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL2        4;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM3   "ck3Hi";            # Name of High Clock
DET.VOLT.CLKHI3     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA3   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC3        5;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL3        5;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM3   "ck3Lo";            # Name of Low Clock
DET.VOLT.CLKLO3     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA3   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC3        6;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL3        6;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM4   "ck4Hi";            # Name of High Clock
DET.VOLT.CLKHI4     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA4   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC4        7;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL4        7;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM4   "ck4Lo";            # Name of Low Clock
DET.VOLT.CLKLO4     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA4   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC4        8;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL4        8;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM5   "ck5Hi";            # Name of High Clock
DET.VOLT.CLKHI5     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA5   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC5        9;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL5        9;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM5   "ck5Lo";            # Name of Low Clock
DET.VOLT.CLKLO5     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA5   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC5       10;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL5       10;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM6   "ck6Hi";            # Name of High Clock
DET.VOLT.CLKHI6     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA6   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC6       11;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL6       11;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM6   "ck6Lo";            # Name of Low Clock
DET.VOLT.CLKLO6     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA6   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC6       12;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL6       12;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM7   "ck7Hi";            # Name of High Clock
DET.VOLT.CLKHI7     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA7   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC7       13;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL7       13;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM7   "ck7Lo";            # Name of Low Clock
DET.VOLT.CLKLO7     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA7   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC7       14;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL7       14;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM8   "ck8Hi";            # Name of High Clock
DET.VOLT.CLKHI8     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA8   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC8       15;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL8       15;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM8   "ck8Lo";            # Name of Low Clock
DET.VOLT.CLKLO8     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA8   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC8       16;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL8       16;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM9   "ck1Hi";            # Name of High Clock
DET.VOLT.CLKHI9     0.000;              # Set value for High Clock
DET.VOLT.CLKHIRA9   "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC9       17;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL9       17;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM9   "ck9Lo";            # Name of Low Clock
DET.VOLT.CLKLO9     0.000;              # Set value for Low Clock
DET.VOLT.CLKLORA9   "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC9       18;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL9       18;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM10  "ck10Hi";           # Name of High Clock
DET.VOLT.CLKHI10     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA10  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC10      19;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL10      19;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM10  "ck10Lo";           # Name of Low Clock
DET.VOLT.CLKLO10     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA10  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC10      20;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL10      20;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM11  "ck11Hi";           # Name of High Clock
DET.VOLT.CLKHI11     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA11  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC11      21;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL11      21;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM11  "ck11Lo";           # Name of Low Clock
DET.VOLT.CLKLO11     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA11  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC11      22;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL11      22;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM12  "ck12Hi";           # Name of High Clock
DET.VOLT.CLKHI12     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA12  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC12      23;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL12      23;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM12  "ck12Lo";           # Name of Low Clock
DET.VOLT.CLKLO12     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA12  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC12      24;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL12      24;            # TEL Ch. for Low Clock 

DET.VOLT.CLKHINM13  "ck13Hi";           # Name of High Clock
DET.VOLT.CLKHI13     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA13  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC13      25;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL13      25;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM13  "ck13Lo";           # Name of Low Clock
DET.VOLT.CLKLO13     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA13  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC13      26;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL13      26;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM14  "ck14Hi";           # Name of High Clock
DET.VOLT.CLKHI14     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA14  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC14      27;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL14      27;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM14  "ck14Lo";           # Name of Low Clock
DET.VOLT.CLKLO14     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA14  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC14      28;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL14      28;            # TEL Ch. for Low Clock

DET.VOLT.CLKHINM15  "ck15Hi";           # Name of High Clock
DET.VOLT.CLKHI15     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA15  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC15      29;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL15      29;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM15  "ck15Lo";           # Name of Low Clock
DET.VOLT.CLKLO15     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA15  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC15      30;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL15      30;            # Tel Ch. for Low Clock

DET.VOLT.CLKHINM16  "ck16Hi";           # Name of High Clock
DET.VOLT.CLKHI16     0.000;             # Set value for High Clock
DET.VOLT.CLKHIRA16  "[-1.000, 1.000]";  # Allowed range for High Clock
DET.VOLT.CLKHIDAC16      31;            # DAC Ch. for High Clock 
DET.VOLT.CLKHITEL16      31;            # TEL Ch. for High Clock

DET.VOLT.CLKLONM16  "ck16Lo";           # Name of Low Clock
DET.VOLT.CLKLO16     0.000;             # Set value for Low Clock
DET.VOLT.CLKLORA16  "[-1.000, 1.000]";  # Allowed range for Low Clock
DET.VOLT.CLKLODAC16      32;            # DAC Ch. for Low Clock 
DET.VOLT.CLKLOTEL16      32;            # TEL Ch. for Low Clock


#############################################################################
# DC Voltages:
#############################################################################

DET.VOLT.DCNM1   "DC1";              # Name for DC Voltage
DET.VOLT.DC1     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA1   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC1     33;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL1     33;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM2   "DC2";              # Name for DC Voltage
DET.VOLT.DC2     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA2   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC2     34;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL2     34;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM3   "DC3";              # Name for DC Voltage
DET.VOLT.DC3     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA3   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC3     35;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL3     35;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM4   "DC4";              # Name for DC Voltage
DET.VOLT.DC4     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA4   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC4     36;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL4     36;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM5   "DC5";              # Name for DC Voltage
DET.VOLT.DC5     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA5   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC5     37;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL5     37;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM6   "DC6";              # Name for DC Voltage
DET.VOLT.DC6     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA6   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC6     38;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL6     38;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM7   "DC7";              # Name for DC Voltage
DET.VOLT.DC7     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA7   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC7     39;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL7     39;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM8   "DC8";              # Name for DC Voltage
DET.VOLT.DC8     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA8   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC8     40;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL8     40;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM9   "DC9";              # Name for DC Voltage
DET.VOLT.DC9     0.000;              # Set value for DC Voltage
DET.VOLT.DCRA9   "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC9     41;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL9     49;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM10  "DC10";             # Name for DC Voltage
DET.VOLT.DC10     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA10  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC10    42;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL10    50;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM11  "DC11";             # Name for DC Voltage
DET.VOLT.DC11     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA11  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC11    43;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL11    51;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM12  "DC12";             # Name for DC Voltage
DET.VOLT.DC12     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA12  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC12    44;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL12    52;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM13  "DC13";             # Name for DC Voltage
DET.VOLT.DC13     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA13  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC13    45;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL13    53;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM14  "DC14";             # Name for DC Voltage
DET.VOLT.DC14     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA14  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC14    46;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL14    54;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM15  "DC15";             # Name for DC Voltage
DET.VOLT.DC15     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA15  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC15    47;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL15    55;              # TEL Ch. for DC Voltage

DET.VOLT.DCNM16  "DC16";             # Name for DC Voltage
DET.VOLT.DC16     0.000;             # Set value for DC Voltage
DET.VOLT.DCRA16  "[-1.000, 1.000]";  # Allowed range for DC Voltage
DET.VOLT.DCDAC16    48;              # DAC Ch. for DC Voltage
DET.VOLT.DCTEL16    56;              # TEL Ch. for DC Voltage


#
# --- oOo ---
