#ifndef _icmdEcpp_h
#define _icmdEcpp_h
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: icmdEcpp.h,v 1.104 2005/09/12 09:20:48 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  06/09/99  created
* jstegmei  21/08/01  added IEEE1284 mode for LINUX-PC 
*/

/************************************************************************
 *
 *  icmdEcpp.h - ecpp constants
 *
 *----------------------------------------------------------------------
 */


#include <unistd.h>
#include <termios.h>

#ifdef SPARC_PCI
#include <sys/ioccom.h>
#include <sys/ecppio.h>
#endif

#ifdef LINUX
/*#include <linux/parport.h>
#include <linux/ppdev.h>
#define LINUX_PP*/
#endif /* LINUX */

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  default device
 */
#define icmdECPP_DEFAULT_DEVICE "/dev/ttya"

/*
 *  buffer sizes
 */
#define icmdECPP_MAX_PKTLEN        1024
#define icmdECPP_BOOT_BLOCKSIZE    1024

/*
 *  default timeout
 */
#define icmdECPP_DEFAULT_TIMEOUT 5

/*
 *  i/o mode
 */
#define icmdECPP_MODE_SERIAL   0
#define icmdECPP_MODE_PARALLEL 1

#define icmdECPP_MAX_CNT     (4096*200000)

/*
 *  prototypes
 */
int icmdEcppOpen (char *, char *);
int icmdEcppClose (int);
int icmdEcppReset (int);
int icmdEcppTimeout (int, int);
int icmdEcppRead (int, char *, int, char *);
int icmdEcppWrite (int, char *, int, char *);
int icmdEcppPktRead (int, char *, int *, char *);
int icmdEcppPktWrite (int, char *, int, char *);
int icmdEcppSpRead (int, char *, int, char *);
int icmdEcppSpWrite (int, char *, int, char *);
int icmdEcppBoot (int, char *, int, char *, char);
int icmdEcppLoadCode (char *, char *, int *, char *);
int icmdEcppStartupLoop (int, char *, char);

extern int icmdEcppResetWidth;
extern int icmdEcppTimeoutSet;
extern int icmdEcppOpMode;

#ifdef __cplusplus
}
#endif

#endif /*!_icmdEcpp_h*/
