#ifndef _icmdIpc_h
#define _icmdIpc_h
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: icmdIpc.h,v 1.104 2005/09/12 09:20:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  29/05/02  created
*/

/************************************************************************
 *
 *  icmdIpc.h - IRACE PCI-bus interface
 *
 *----------------------------------------------------------------------
 */

#include <unistd.h>
#include "irpci.h"

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  default device
 */
#define icmdIPC_DEFAULT_DEVICE "/dev/ipc0_com"

/*
 *  buffer sizes
 */
#define icmdIPC_MAX_PKTLEN        1024
#define icmdIPC_BOOT_BLOCKSIZE    1024

/*
 *  default timeout
 */
#define icmdIPC_DEFAULT_TIMEOUT 5


/*
 *  prototypes
 */
int icmdIpcOpen (char *, char *);
int icmdIpcClose (int);
int icmdIpcReset (int);
int icmdIpcTimeout (int, int);
int icmdIpcRead (int, char *, int, char *);
int icmdIpcWrite (int, char *, int, char *);
int icmdIpcPktRead (int, char *, int *, char *);
int icmdIpcPktWrite (int, char *, int, char *);
int icmdIpcSpRead (int, char *, int, char *);
int icmdIpcSpWrite (int, char *, int, char *);
int icmdIpcBoot (int, char *, int, char *, char);
int icmdIpcLoadCode (char *, char *, int *, char *);
int icmdIpcStartupLoop (int, char *, char);



#ifdef __cplusplus
}
#endif

#endif /*!_icmdIpc_h*/
