#ifndef _icmdIrs_h
#define _icmdIrs_h
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: icmdIrs.h,v 1.104 2005/09/12 09:20:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  03/06/98  created
*/

/************************************************************************
 *
 *  icmdIrs.h - irace socket constants
 *
 *----------------------------------------------------------------------
 */

#include "icmd.h"
#include "icmdSock.h"

#ifndef USE
#define USE(x) x=x
#endif

#ifdef __cplusplus
extern "C" {
#endif

/*
 *  default device
 */
#define icmdIRS_DEFAULT_DEVICE "ins9"

/*
 *  port number
 */
#define icmdIRS_PORT 9001

/*
 *  buffer sizes
 */
#define icmdIRS_MAX_PKTLEN        (1024*16)
#define icmdIRS_BOOT_BLOCKSIZE    1024

/*
 *  default timeout
 */
#define icmdIRS_DEFAULT_TIMEOUT 5

/*
 *  protocol tags
 */
#define icmdIRS_TAG_READ   1
#define icmdIRS_TAG_WRITE  2
#define icmdIRS_TAG_RESET  4
#define icmdIRS_TAG_TMO    8

/*
 *  result codes (must match signed char)
 */
#define icmdIRS_SUCCESS   0
#define icmdIRS_ERR_IO    1
#define icmdIRS_ERR_TMO   2
#define icmdIRS_ERR_SOCK  3


/*
 *  prototypes
 */
int icmdIrsOpen (char *, char *);
int icmdIrsClose (int);
int icmdIrsReset (int);
int icmdIrsTimeout (int, int);
int icmdIrsRead (int, char *, int, char *);
int icmdIrsWrite (int, char *, int, char *);
int icmdIrsPktRead (int, char *, int *, char *);
int icmdIrsPktWrite (int, char *, int, char *);
int icmdIrsSpRead (int, char *, int, char *);
int icmdIrsSpWrite (int, char *, int, char *);
int icmdIrsBoot (int, char *, int, char *, char);
int icmdIrsLoadCode (char *, char *, int *, char *);
int icmdIrsStartupLoop (int, char *, char);


#ifdef __cplusplus
}
#endif

#endif /*!_icmdIrs_h*/
