#ifndef _icmdSock_h
#define _icmdSock_h

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: icmdSock.h,v 1.104 2005/09/12 09:20:49 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  19/09/96  created
* jstegmei  18/02/98  increased maximum socket packet length to 32K
* jstegmei  16/06/98  added sdmaSOCK_CONNECT_TIMEOUT
* jstegmei  16/06/98  added sdmaWaitSock(), sdmaSockTimeout()
* jstegmei  12/01/99  removed icmdSetSockTimeout()
*/

/************************************************************************
 *
 *  icmdSock.h  - socket constants
 *
 *----------------------------------------------------------------------
 */

#ifdef __cplusplus
extern "C" {
#endif


/*
 *  default timeouts in seconds
 */
#define icmdSOCK_DEFAULT_TIMEOUT  5  
#define icmdSOCK_CONNECT_TIMEOUT -1  /* no timeout */

/*
 *  buffer sizes
 */
#define icmdSOCKMAX_PKTLEN     (1024*32)

/*
 *  prototypes
 */
int  icmdWaitSock (int, int, char *);
int  icmdSockSrvOpen (const char *, char *);
int  icmdSockSrvConnect (int, char *);
int  icmdSockClientOpen (const char *, char *);
int  icmdSockClose (int);
int  icmdSockRead (int, char *, int, char *);
int  icmdSockWrite (int, const char *, int, char *);


#ifdef __cplusplus
}
#endif

#endif /*!_icmdSock_h*/
