#ifndef _irl_h
#define _irl_h

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: irl.h,v 1.104 2005/09/12 09:21:00 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  05/01/98  created
*/

/************************************************************************
 *
 *  irl.h - irl common constants
 *
 *----------------------------------------------------------------------
 */

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef USE
#define USE(x) x=x
#endif

typedef struct
{
  int   fd[3];
  FILE *pipeIn;
  FILE *pipeOut;
  FILE *pipeErr;
  int   pid;
}irlPIPE;

typedef char irlPARAM_NAME[64];
typedef char irlFILE_NAME[256];

typedef int (*irlPMAP)(irlPARAM_NAME *, double *, int, char *);
typedef int (*irlFTIME)(irlFILE_NAME *, int *, double *, int, char *);

int irlOpen(const char *, irlPIPE *, char *);
int irlClose(irlPIPE *, char *);
int irlTerminate(irlPIPE *, char *);
int irlGetFileIdx(irlPIPE *, irlFILE_NAME *, int *, int *, char *);
int irlSetTimes(irlPIPE *, int *, double *, int, char *);
int irlGetUsedParams(irlPIPE *, irlPARAM_NAME *, int *, char *);
int irlSetUsedParams(irlPIPE *, irlPARAM_NAME *, double *, int, char *);
int irlGetResult(irlPIPE *, irlPARAM_NAME *, double *, int *, int *,
		 int *, char *);
int irlCall(const char *, 
	    int (*)(irlPARAM_NAME *, double *, int, char *),
	    int (*)(irlFILE_NAME *, int *,  double *, int, char *),
	    irlPARAM_NAME *, double *, int *, 
	    irlFILE_NAME *, int *, int *, 
	    int *, int *, char *);
int irlGetFiles(const char *, irlFILE_NAME *, int *, int *, char *);
     

#ifdef __cplusplus
}
#endif

#endif /*!_irl_h*/
