#ifndef oslxDYN_BUF_H
#define oslxDYN_BUF_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: oslxDYN_BUF.h,v 1.253 2005/08/17 13:09:21 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  23/02/99  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "slx.h"
#ifndef NOCCS
    #ifdef SUN_COMP
        #include <sys/types.h>
    #endif
    #include "err.h"
    #include "cmd.h"
    #include "oslxErrors.h"
    #include "slxErrors.h"
    #include "miscErrors.h"
    #include "ECCS.h"
#else
    #include "miscNoCcs.h"
    #include "miscNoCcsCpp.h"
    #include "oslxErrorsNoCcs.h"
    #include "slxErrorsNoCcs.h"
    #include "miscErrorsNoCcs.h"
#endif

class oslxDYN_BUF : public eccsERROR_CLASS
{
  public:
    oslxDYN_BUF();
    ~oslxDYN_BUF();
    
    ccsCOMPL_STAT Reset();
    ccsCOMPL_STAT Store(const char      *buf,
			const vltINT32  bufLen);
    ccsCOMPL_STAT StoreAt(const char      *buf,
			  const vltINT32  bufLen,
			  const vltINT32  index);
    ccsCOMPL_STAT ReadToCrt(char        **buf,
			    vltINT32    *bufLen);

    ccsCOMPL_STAT Alloc(const vltUINT32  size);

    ccsCOMPL_STAT Rewind(const vltINT32  bytes);
    char          *DynBuf();
    slxDYN_BUF    *DynBufStr();
    vltINT32      Size();
    char          GetChar(const vltINT32    index);
    ccsCOMPL_STAT SetChar(const vltINT32 index,
			  char           chr);
    ccsCOMPL_STAT Truncate(const vltINT32 bytes);
    ccsCOMPL_STAT AddEOS();

    ccsCOMPL_STAT InitBufPtr();
    ccsCOMPL_STAT GetXBytes(const vltINT32  reqLen,
			    char            *buf,
			    vltINT32        *bufLen);
    ccsCOMPL_STAT GetNextLine(slxKEYW_LINE  line);
    ccsCOMPL_STAT GetNextContentsLine(slxKEYW_LINE  line);
    ccsCOMPL_STAT NL(slxKEYW_LINE  line);
    ccsCOMPL_STAT GetNextLineDyn(char       **line);

    ccsCOMPL_STAT LoadFile(slxFILENAME    fileName,
			   const char     *envVar = NULL);
    ccsCOMPL_STAT SaveFile(const slxFILENAME   fileName,
			   const char          *envVar);

    ccsCOMPL_STAT Print(const vltINT32	 addNewLineAt = 0);

  protected:
    slxDYN_BUF  dynBuf;
};

#endif /*!oslxDYN_BUF_H*/
