#ifndef oslxPRIVATE_H
#define oslxPRIVATE_H
/******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: oslxPRIVATE.h,v 1.253 2005/08/17 13:09:23 vltsccm Exp $" 
*
* oslx.h
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  05/03/95  Created
* jknudstr  05/10/95  Lots of changes ...
* epozna    09/05/00  HP11 compillation:  <string.h> is already inluded by ECCS.h 
* epozna    24/05/00  NOCCS: "ECCS.h" is not included, <string.h> still has to be included
* - - - - - - - - - - -JAN 2006 - - - - - - - - - - - - - - - - - - - 
* mnylund   15/05/05  VLTSW20050136 Adding oslxFITS_EXT
*/

/************************************************************************
*  Header file for the Objective SLX - OSLX
*----------------------------------------------------------------------
*/

#ifndef __cplusplus
#error This is a C++ include file which cannot be used from plain C
#endif

// Commands
#define oslxSERV_ALIAS_CMD    "ALIAS"
#define oslxSERV_CONFIG_CMD   "CONFIG"
#define oslxSERV_DICTION_CMD  "DICTION"
#define oslxSERV_EXIT_CMD     "EXIT"
#define oslxSERV_FILTER_CMD   "FILTER"
#define oslxSERV_FITS_CMD     "FITS"
//VLTSW20050136
#define oslxSERV_FITS_EXT_CMD "FITS_EXT"
#define oslxSERV_GEN_CMD      "GEN"
#define oslxSERV_INSDIR_CMD   "INSDIR"
#define oslxSERV_OSETUP_CMD   "OSETUP"
#define oslxSERV_SHOFITS_CMD  "SHOFITS"
#define oslxSERV_TSF_CMD      "TSF"

typedef enum {
  oslxALIAS_NO = 1,
  oslxCONFIG_NO,
  oslxDICTION_NO,
  oslxEXIT_NO,
  oslxFILTER_NO,
  oslxFITS_NO,
  //VLTSW20050136
  oslxFITS_EXT_NO,
  oslxGEN_NO,
  oslxINSDIR_NO,
  oslxOSETUP_NO,
  oslxSHOFITS_NO,
  oslxTSF_NO
} oslxCMD;

//#include <string.h>                // EPO : HP11 compillation

#include "misc.h"
#include "slx.h"
#include "oslxBASE.h"
#ifndef NOCCS
//    #ifdef SUN_COMP                 //EPO : included by oslxBASE.h
//        #include <sys/types.h>
//    #endif
    #include "err.h"
    #include "cmd.h"
    #include "oslxErrors.h"
    #include "oslxcfitsErrors.h"
    #include "slxErrors.h"
    #include "miscErrors.h"
    #include "ECCS.h"                // note EPO: this includes <string.h>
#else
    #include "miscNoCcs.h"
    #include "miscNoCcsCpp.h"
    #include "oslxErrorsNoCcs.h"
    #include "slxErrorsNoCcs.h"
    #include "miscErrorsNoCcs.h"
    #include "oslxcfitsErrorsNoCcs.h"
    #include <string.h>             // EPO : include for NOCCS only
#endif

// Macros
#define oslxMODULE_ID  "oslx"

#ifndef TRUE
    #define TRUE  1
    #define FALSE 0
#endif

// The various Check Schemes provided by OSLX
typedef enum {
    oslxNORMAL_CHECK = 1,
    oslxFULL_CHECK,
    oslxSOFT_CHECK,
    oslxNO_CHECK
} oslxCHECK_MODE;


// Various Check Types as strings
#define oslxNORMAL_CHECK_STR  "NORMAL"
#define oslxFULL_CHECK_STR    "FULL"
#define oslxSOFT_CHECK_STR    "SOFT"
#define oslxNO_CHECK_STR      "NONE"

// Commands
#define oslxSERV_ALIAS_CMD    "ALIAS"
#define oslxSERV_CONFIG_CMD   "CONFIG"
#define oslxSERV_DICTION_CMD  "DICTION"
#define oslxSERV_FILTER_CMD   "FILTER"
#define oslxSERV_FITS_CMD     "FITS"
//VLTSW20050136
#define oslxSERV_FITS_EXT_CMD "FITS_EXT"
#define oslxSERV_GEN_CMD      "GEN"
#define oslxSERV_INSDIR_CMD   "INSDIR"
#define oslxSERV_OSETUP_CMD   "OSETUP"
#define oslxSERV_SETUPHD_CMD  "SETUPHD"
#define oslxSERV_SHOFITS_CMD  "SHOFITS"

/* Structure to be added in the Object Hash Tables. We need this structure
 * in order to be able to delete the created objects when we delete the
 * Hash Table in which these are stored.
 */
typedef struct {  
  void *objPtr;
} oslxOBJ_TABLE_ENTRY;

#define _oslxSUCCESS_HANDLED  (SUCCESS + 1)

//VLTSW20020388
#define oslxLONGVALUE      "oslxLONGVALUE"
#endif /*!oslxPRIVATE_H*/





