#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: audio.tcl,v 1.13 2005/10/28 08:40:22 vltsccm Exp $"
#
# who       when        what
# --------  ----------  ----------------------------------------------
# eallaert  2005-03-06  first version
# 
#************************************************************************
#   NAME
#   audio.tcl - package loader initializer 
#   
#   SYNOPSIS
#   
#   DESCRIPTION
#   audio.tcl is invoked when a "package require Audio" command is issued.
#   It contains the code to initialize the audio package.
#   
#   FILES
#   
#   ENVIRONMENT
#   
#   RETURN VALUES
#
#   CAUTIONS
#  
#   EXAMPLES
#
#   SEE ALSO
#
#------------------------------------------------------------------------


# We have to ensure that the version number (as it will end up in pkgIndex.tcl)
# is not the same as the one under VLTROOT if this module is checked out -
# otherwise a "package require Audio" would end up using the VLTROOT version,
# as the one under INTROOT would not be showing up as newer.
namespace eval ::audio {
    namespace export audio*;		# only these commands should be public
    variable library [file dirname [info script]]
    variable version [lindex {@(#) $Id: audio.tcl,v 1.13 2005/10/28 08:40:22 vltsccm Exp $} 3]
    if {[string equal [string index $version end] +]} {
	set version [string range $version 0 end-1]
        set major [lrange [split $version .] 0 end-1]
	set minor [lindex [split $version .] end]
	incr minor
	set version [join "$major $minor" .]
    }
}

if {[lsearch -exact $auto_path $audio::library] < 0} {
    lappend auto_path $audio::library
}

package provide Audio $audio::version
