#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: bobServerLib.tcl,v 1.145 2005/10/27 09:07:11 vltsccm Exp $"
#
# who       when        what
# --------  --------    ----------------------------------------------
# eallaert  2000-06-25  created
# eallaert  2002-02-26  do local chopping of replies into 8K chunks (temporary)
#

#************************************************************************
#   NAME
#   bobServerLib - several procedures used for bob as Server
# 
#   SYNOPSIS
#   GetPAF <path> <transient>
#
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

#=============================================================================
proc GetPAF {path transient} {

    if {![file exists $path]} {
	error "$path does not exist"
    } elseif {![file isfile $path]} {
	error "$path is not a regular file"
    }

    if {[catch {expr {$transient}}]} {
	error "$transient is not a boolean flag"
    }

    # permission-errors etc are reported back by read_file
    set data [read_file $path]

    ################################
    # TEMPORARY PATCH OF THIS PROC #
    ################################
    # Instead of returning $data and let seq_msgDispatch do the chopping
    # into 8K blocks, do this chopping here and insert a delay in between the 
    # individual replies - because otherwise we may flood the queue of a 
    # receiver on a slow workstation, and qsemu has a problem with this.
    # Revert this patch when qsemu has been fixed.
    ##return $data

    set len [string length $data]
    for {set i 0} {$len - $i > 8000} {incr i 8000} {
	set substring [string range $data $i [expr {$i + 7999}]]
	seq_msgSendReply -current 0 0 $substring
	# just a minor delay, causing a context switch, seems to be enough
	after 1
    }

    # Do not return an error if file cannot be deleted (i.e. when directory
    # permissions are not set properly).
    if {$transient} {catch {file delete -force -- $path}}

    return [string range $data $i [expr {$i + 7999}]]
}

    
#
# ___oOo___

