#
# E.S.O. - VLT project - 1995
#
# "@(#) $Id: errDefineOffset.tcl,v 2.11 2003/11/12 09:10:33 vltsccm Exp $" 
#

proc errDefineOffset {} {
   global par offsetRec
   global offName offValue offMenu idxList init
        
   toplevel             .errOffset;    
   set c                .errOffset.vr;          # Define 'Virtual Root'   
   set idxList          {}
   set init             0;   
                 
   frame $c ; frame $c.row1 ; frame $c.row3  ;  #  Frame Definition
   
   #+++++++++++++++++++++++++++++++
   #    Define other widgets      +
   #+++++++++++++++++++++++++++++++
    
   label $c.row1.lname  -text "#define   "
        
   entry $c.row1.name  -width 20 -relief sunken  -textvariable  offName
   entry $c.row1.value -width  5 -relief sunken  -textvariable  offValue
 
   set offMenu $c.row1.offMenu
   UifMenuButton $offMenu -label "..."

   button $c.row3.b1   -width 13  -text "Define Offset"  \
                                 -command { set par(SAVE_FLAG) 1 ;
                                            addOffset $offName $offValue ;
                                            set offsetRec($offName) $offValue }

   button $c.row3.b2   -width 7  -text "Cancel"  -command {destroy .errOffset }
   button $c.row3.b3   -width 13 -text "Delete Offset"  \
                                 -command { delOffset $offName }
  
   #+++++++++++++++++++++++++++++++
   #         Build  Panel         +
   #+++++++++++++++++++++++++++++++
  
   pack $c  
   pack $c.row1 $c.row3  -pady 10 -padx 5 -fill x
   pack $c.row1.lname  $c.row1.name  $offMenu  -side left
   pack $c.row1.value  -side left  -padx 5
   pack $c.row3.b1 $c.row3.b3  $c.row3.b2  -side left -fill x -padx 3
       
   #
   # Select all known offsets
   #

   set offName  "" ; set offValue ""
   
   if { [array size offsetRec] != 1 } {
       catch { unset offsetRec(none)}

       foreach name [array names offsetRec] {
          addOffset $name $offsetRec($name)
          set offName  $name
          set offValue $offsetRec($name) 
       }
   }

   set init 1;
     
   wm title     .errOffset "Error Offset"
   wm resizable .errOffset 0 0
}


#-----------------------------------------------------------
#   Procedure  addOffset : Add a New Offset Definiton
#-----------------------------------------------------------

proc addOffset { name value } {
   global offMenu offsetRec idxList init
   
   if { [info exists offsetRec($name)] == 0 || $init == 0 } {   
      set cmd "set offName  $name ; set offValue \$offsetRec($name)"
      set idxList [lappend idxList $name]            
      $offMenu addCommand $name 0 "eval $cmd"
   }    
}


#-----------------------------------------------------------
#   Procedure  delOffset : Delete an Offset Definiton
#-----------------------------------------------------------

proc delOffset { name } {
   global offsetRec offMenu idxList  offName  offValue
      
   unset offsetRec($name)
   set i        [lsearch  $idxList $name ]   
   set idxList  [lreplace $idxList $i $i ]
    
   $offMenu deleteEntry $i $i ; set offName "" ; set offValue ""
}


