#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: feditCreateIndexFile.tcl,v 2.11 2003/11/12 09:10:34 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  09/11/95  created
#

#************************************************************************
#   NAME
#   
#   feditCreateIndexFile - Creates an ASCII file containing the byte offsets
#                        to the error/log format definitions
#
#   SYNOPSIS
#
#   feditCreateIndexFile  <what>  <mod>
#
#   DESCRIPTION
#
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc feditCreateIndexFile { what  module } {

   global recList offsetRec

   # Index constants to access record information
   
   global rec_offset rec_id  rec_type rec_memo rec_format   
   global err_help err_offset   
    
   switch $what {
     "ERRORS" { 
              set indexFile  "${module}ERRORS.IDX"
              set headTitle  "Error Index File"
              }
     "LOGS"   { 
              set indexFile  "${module}LOGS.IDX" 
              set headTitle  "Logs Index File"
              }
   }     
 
   if { [ set filePath [ findModuleFile ${what}/${indexFile}]] == "" } {
       set filePath  [getRelPath $module $what ]
       append filePath "/$indexFile"       
   }
    
   set fh [open $filePath w+] ;      # Open and create a new file 

#   puts "\nDBG > Create $what index   file for ($module)"
   
   feditWriteHeader "index" $fh $headTitle
      
   foreach item [lsort -integer [array names recList]] {
   
       set myId       [lindex $recList($item) $rec_id]
       set myType     [lindex $recList($item) $rec_type]
       set byteOffset [lindex $recList($item) $rec_offset]
       
       #
       # Process error offset
       #      
      
       if { [set offLine [lindex $recList($item) $err_offset]] != "" } {
            
          set len [llength  $offLine ] 
         
          for { set j 0 } { $j < $len } {incr j 2} {
             set  myOff [lindex $offLine $j]          
             incr myId  $offsetRec($myOff)        
          }  
       }       
       
       puts $fh "$myId $myType $byteOffset";                  
   } 

#   puts  $fh "#\n# \"@(#) \$Id\$\" \n";  # Write cmm identifier and the EOF
   close $fh;                            # Close the file
}
 










#
# ___oOo___
