#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: feditWriteHeader.tcl,v 2.11 2003/11/12 09:10:36 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  10/11/95  created
#

#************************************************************************
#   NAME
#   
#   feditWriteHeader - Writes the headers of the log/error config. files
#
#   SYNOPSIS
#
#   feditWriteHeader  <what> <fh> <description>
#
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#      Offset String
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc feditWriteHeader { what fh description } {

   set date [exec date]

   set date [lreplace $date 4 4]
   set date [lreplace $date 0 0]

   if {$what == "include"} {
   
      puts $fh "/***********************************************************"
      puts $fh "# \"@(#) \$Id\$\" \n#";  # Write cmm Identifier 
        
   } elseif {$what == "format"} {
   
      puts $fh "#\n# Version Id. is specified at the end of the file \n#"   
   
   } else {
   
      puts  $fh "#\n# \"@(#) \$Id\$\" \n#\n# " ; # Write cmm Identifier   
   }
      
   set line1 "# $description    Created on  $date"

   puts $fh $line1
   puts $fh "# "     
   puts $fh "# This file has been generated by a utility"
   puts $fh "# "
   puts $fh "#  !!!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!!!!"
   puts $fh "# "
     
   if {$what == "include"} {
      puts $fh "***********************************************************/"
   } else {
      puts $fh "###########################################################\n"
   }        
}

#
# ___oOo___
