#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqStdExtLib.tcl,v 1.113 2005/09/13 07:27:23 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  18/06/99  created
#
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc iracqStdExtInit {{classList "stdext"}} {
    global gvar
    
    iracqVB "initializing standard extensions ($classList)..."

    # chopper
    if {([lsearch $classList "Chopper"] != -1) || ($classList == "stdext")} {
	iracqChopperInit
    }

    return 1
}

proc iracqChopperInit {} {
    global gvar

    set gvar(iracq_chopState) 0
    set gvar(iracq_chopPos) "OBJECT"
    set gvar(iracq_chopFreq) 0.0
    set gvar(iracq_chopTransTime) 0.0
    set gvar(iracq_delay) 0.0
    set gvar(iracqDbPointChopper)   "$gvar(iracqDbPoint):chopper"
    set gvar(iracqDbAttrChopState) "$gvar(iracqDbPointChopper).state"
    set gvar(iracqDbAttrChopFreq) "$gvar(iracqDbPointChopper).freq"
    set gvar(iracqDbAttrChopTransTime) "$gvar(iracqDbPointChopper).transTime"
    set gvar(iracqDbAttrChopPos) "$gvar(iracqDbPointChopper).pos"

    if {$gvar(iracqCCS)} {
	# add state event
	set gvar(iracq_chopState) \
		[seq_dbReadSymbolic $gvar(iracqDbAttrChopState)]
	iracqAddEvent [seq_evtAttach \
		$gvar(iracqDbAttrChopState) "!=" \
		{iracqChopStateEvt %D}]
	
	# add freq event
	set value [seq_dbReadSymbolic $gvar(iracqDbAttrChopFreq)]
	iracqRound value 4
	set gvar(iracq_chopFreq) $value
	iracqAddEvent [seq_evtAttach \
		$gvar(iracqDbAttrChopFreq) "!=" \
		{iracqChopFreqEvt %D}]
	
	# add transtime event
	set value [seq_dbReadSymbolic $gvar(iracqDbAttrChopTransTime)]
	iracqRound value 4
	set gvar(iracq_chopTransTime) $value
	iracqAddEvent [seq_evtAttach \
		$gvar(iracqDbAttrChopTransTime) "!=" \
		{iracqChopTransTimeEvt %D}]
	
    }

}

proc iracqChopOnOff {} {
    global gvar

    set tmp $gvar(iracq_chopState)
    if {$gvar(iracq_chopState)} {
	set value "T"
    } else {
	set value "F"
    }
	
    if {$gvar(iracqCCS)} {
	if {![iracqSendCmd "SETUP" "-function DET.CHOP.ST $value"]} {
	    set gvar(iracq_chopState) [expr {1 - $tmp}]
	}
    } else {
	if {![iracqFunction "pset DET.CHOP.ST $value" \
		1 tmpStr]} {
	    set gvar(iracq_chopState) [expr {1 - $tmp}] 
	    return 0
	}
	
	if {![iracqGetConfig]} {
	    return 0
	}
    }

    return 1
}

proc iracqChopTransTime {} {
    global gvar

    if {$gvar(iracq_chopTransTimeSetup) == ""} {
	return
    }

    set value $gvar(iracq_chopTransTimeSetup)

    if {$gvar(iracqCCS)} {
	iracqSendCmd "SETUP" "-function DET.CHOP.TRANSTIM $value"
    } else {
	iracqFunction "pset DET.CHOP.TRANSTIME $value" 1 tmpStr
	iracqGetConfig
    }

    set gvar(iracq_chopTransTimeSetup) ""
}

proc iracqChopStateEvt {data} {
    global gvar

    set gvar(iracq_chopState) [lindex $data 2]
}

proc iracqChopFreqEvt {data} {
    global gvar

    set value [lindex $data 2]
    iracqRound value 4
    set gvar(iracq_chopFreq) $value
}

proc iracqChopTransTimeEvt {data} {
    global gvar

    set value [lindex $data 2]
    iracqRound value 4
    set gvar(iracq_chopTransTime) $value
}


#
# ___oOo___
