#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqUifAdc.tcl,v 1.113 2005/09/13 07:27:23 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  18/06/99  created
# jstegmei  04/03/00  fixed ADC-filter selection
#
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc iracqAdcSetFilter1 {} {
    global gvar

    if {![iracqCmdAdcSet filter1 $gvar(iracqAdcSelNum)\
	    $gvar(iracqAdcFilter1Sel)]} {
	set gvar(iracqAdcFilter1Sel) [expr {1 - $gvar(iracqAdcFilter1Sel)}]
    }

    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return
    }

    if {!$gvar(iracqCCS)} {
	set res [iracqCmdAdcGet filter1 $gvar(iracqAdcSelNum) 0]
	if {$res != -1} {
	    set gvar(iracqAdcFilter1Sel) $res
	}
    }
}

proc iracqAdcSetFilter2 {} {
    global gvar

    if {![iracqCmdAdcSet filter2 $gvar(iracqAdcSelNum)\
	    $gvar(iracqAdcFilter2Sel)]} {
	set gvar(iracqAdcFilter2Sel) [expr {1 - $gvar(iracqAdcFilter2Sel)}]
    }

    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return
    }

    if {!$gvar(iracqCCS)} {
	set res [iracqCmdAdcGet filter2 $gvar(iracqAdcSelNum) 0]
	if {$res != -1} {
	    set gvar(iracqAdcFilter2Sel) $res
	}
    }
}

proc iracqAdcSetEnable {} {
    global gvar

    if {![iracqCmdAdcSet enable $gvar(iracqAdcSelNum)\
	    $gvar(iracqAdcEnableSel)]} {
	set gvar(iracqAdcEnableSel) [expr {1 - $gvar(iracqAdcEnableSel)}]
    }

    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return
    }

    if {!$gvar(iracqCCS)} {
	set res [iracqCmdAdcGet enable $gvar(iracqAdcSelNum) 0]
	if {$res != -1} {
	    set gvar(iracqAdcEnableSel) $res
	}
    }
}

proc iracqAdcSetDelay {} {
    global gvar

    if {$gvar(iracqAdcDelaySelSetup) == ""} {
	return
    }

    iracqCmdAdcSet delay $gvar(iracqAdcSelNum)\
	    $gvar(iracqAdcDelaySelSetup)

    set gvar(iracqAdcDelaySelSetup) ""

    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return
    }

    if {!$gvar(iracqCCS)} {
	set res [iracqCmdAdcGet delay $gvar(iracqAdcSelNum) 0]
	if {$res != -1} {
	    set gvar(iracqAdcDelaySel) $res
	}
    }
}

proc iracqAdcSetHeader {} {
    global gvar
    
    if {$gvar(iracqAdcHeaderSelSetup) == ""} {
	return
    }

    iracqCmdAdcSet header $gvar(iracqAdcSelNum)\
	    $gvar(iracqAdcHeaderSelSetup)

    set gvar(iracqAdcHeaderSelSetup) ""

    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return
    }

    if {!$gvar(iracqCCS)} {
	set res [iracqCmdAdcGet header $gvar(iracqAdcSelNum) 0]
	if {$res != -1} {
	    set gvar(iracqAdcHeaderSel) $res
	}
    }
}

proc iracqAdcSelect {value} {
    global gvar 

    set tmp $gvar(iracqAdcSelNum)
    set gvar(iracqAdcSelNum) $value

    
    if {[iracqAdcUpdate]} {
	if {$value == $gvar(iracqSysNumAdc)} {
	    set gvar(iracqAdcSel) "ALL"
	} else {
	    set id [expr {$value + 1}]
	    set gvar(iracqAdcSel) "ADC-BOARD $id"
	}
    } else {
	set gvar(iracqAdcSelNum) $tmp
    }
}

proc iracqAdcCfg {} {
    global gvar cv

    if {$gvar(iracqSysNumAdcT) != $gvar(iracqSysNumAdc)} {
	set gvar(iracqSysNumAdcT) $gvar(iracqSysNumAdc)
	set gvar(iracqAdcSelNum) -1
	set gvar(iracqAdcSel) None
	set gvar(iracqAdcFilter1Sel) 0
	set gvar(iracqAdcFilter2Sel) 0
	set gvar(iracqAdcEnableSel) 0
	set gvar(iracqAdcDelaySel) 0
	set gvar(iracqAdcHeaderSel) 0
    }

    if {$gvar(iracqAdcSelNum) > $gvar(iracqSysNumAdc)} {
	set gvar(iracqAdcSelNum) -1
	set gvar(iracqAdcSel) None
	set gvar(iracqAdcFilter1Sel) 0
	set gvar(iracqAdcFilter2Sel) 0
	set gvar(iracqAdcEnableSel) 0
	set gvar(iracqAdcDelaySel) 0
	set gvar(iracqAdcHeaderSel) 0
    }

    $cv.iracqAdcSelWdg deleteEntry 0 last  

    for {set i 0} {$i<$gvar(iracqSysNumAdc)} {incr i 1} {
	set id [expr {$i +1}]
	$cv.iracqAdcSelWdg addItem "ADC-BOARD $id"\
		"iracqAdcSelect $i"
    }

    if {$gvar(iracqSysNumAdc) > 1} {
	$cv.iracqAdcSelWdg addItem "ALL"\
		"iracqAdcSelect $gvar(iracqSysNumAdc)"
    }

    if {$gvar(iracqSysNumAdc) > 0} {
	if {$gvar(iracqAdcSelNum) >= 0} {
	    iracqAdcSelect $gvar(iracqAdcSelNum)
	} else {
	    iracqAdcSelect 0
	}
    }
}

proc iracqAdcUpdate {} {
    global gvar cv

    if {$gvar(iracqAdcSelNum) < 0} {
	return 0
    }
        
    if {$gvar(iracqAdcSelNum) >= $gvar(iracqSysNumAdc)} {
	return 1
    }
        
    set res [iracqCmdAdcGet filter1 $gvar(iracqAdcSelNum) 0]
    if {$res == -1} {
	return 0
    } else {
	set gvar(iracqAdcFilter1Sel) $res
    }
    
    set res [iracqCmdAdcGet filter2 $gvar(iracqAdcSelNum) 0]
    if {$res == -1} {
	return 0
    } else {
	set gvar(iracqAdcFilter2Sel) $res
    }
    
    set res [iracqCmdAdcGet enable $gvar(iracqAdcSelNum) 0]
    if {$res == -1} {
	return 0
    } else {
	set gvar(iracqAdcEnableSel) $res
    }
    
    set res [iracqCmdAdcGet delay $gvar(iracqAdcSelNum) 0]
    if {$res == -1} {
	return 0
    } else {
	set gvar(iracqAdcDelaySel) $res
    }
    
    set res [iracqCmdAdcGet header $gvar(iracqAdcSelNum) 0]
    if {$res == -1} {
	return 0
    } else {
	set gvar(iracqAdcHeaderSel) $res
    }
    
    return 1
}

#
# ___oOo___
