#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqUifIoNoCcs.tcl,v 1.113 2005/09/13 07:27:25 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  18/06/99  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


# handle server error
proc iracqHandleSrvErrNoCcs {errString} {
    global gvar

    # close server connection
    iracqVB $errString
    iracqVB "closing connection to server..."
    catch {close $gvar(iracqIoStream)}
    set gvar(iracqSrvOpen) 0
    
    set gvar(iracqSrvState) "OFF"
    set gvar(iracqSrvSubState) "IDLE"
    set gvar(iracqSrvStateRst) 1
    
    return 0
}

# handle event error
proc iracqHandleEvtErrNoCcs {errString} {
    global gvar

    # close event connection
    iracqVB $errString
    iracqVB "closing event connection..."
    catch {close $gvar(iracqEvtStream)}
    set gvar(iracqEvtOpen) 0

    return 0
}

# open server connection
proc iracqOpenServerNoCcs {} {
    global gvar

    set gvar(iracqSrvSubStateDummy) ""

    if {!$gvar(iracqSrvOpen)} {
	# open server socket
	iracqVB "opening connection to server..."
	if {[catch {set gvar(iracqIoStream) \
		[socket $gvar(iracqHost) $gvar(iracqPort)]}]} {
	    iracqHandleSrvErr "unable to open server connection"
	    return 0
	}

	# get version string
	if {[catch {set gvar(iracqVersion) [gets $gvar(iracqIoStream)]}]} {
	    iracqHandleSrvErr "cannot get version string"
	    return 0
	}

	iracqVB "server version is $gvar(iracqVersion) (NOCCS)..."

	# get event port number
	if {[catch {set gvar(iracqEvtPort) [gets $gvar(iracqIoStream)]}]} {
	    iracqHandleSrvErr "cannot get event port"
	    return 0
	}

	# get command file descriptor
	if {[catch {set gvar(iracqCmdFd) [gets $gvar(iracqIoStream)]}]} {
	    iracqHandleSrvErr "cannot get command file descriptor"
	    return 0
	}

	set gvar(iracqSrvOpen) 1
	
	# install read handler for server socket
	fileevent $gvar(iracqIoStream) readable {iracqReadResultNoCcs}
    }

    return 1
}

# close server connection
proc iracqCloseServerNoCcs {} {
    global gvar

    # close server connection
    if {$gvar(iracqSrvOpen)} {
	iracqVB "closing connection to server..."
	fileevent $gvar(iracqIoStream) readable ""
	catch {close $gvar(iracqIoStream)}
	set gvar(iracqSrvOpen) 0
    }

    return 1
}

# open event connection
proc iracqOpenEventNoCcs {evtPort} {
    global gvar

    if {!$gvar(iracqEvtOpen)} {
	# open event socket
	iracqVB "opening event connection..."
	if {[catch {set gvar(iracqEvtStream) \
		[socket $gvar(iracqHost) $evtPort]}]} {
	    iracqHandleEvtErrNoCcs "cannot open event connection"
	    return 0
	}

	# send back command file descriptor
	if {[catch {puts $gvar(iracqEvtStream) $gvar(iracqCmdFd)}]} {
	    iracqHandleEvtErrNoCcs "cannot send back command file descriptor"
	    return 0
	}
	
	# flush output
	if {[catch {flush $gvar(iracqEvtStream)}]} {
	    iracqHandleEvtErrNoCcs "cannot flush output"
	    return 0
	}

	set gvar(iracqEvtOpen) 1
	
	# install read handler for event socket
	fileevent $gvar(iracqEvtStream) readable {iracqHandleEventNoCcs}
    }

    return 1
}

# close event connection
proc iracqCloseEventNoCcs {} {
    global gvar

    # close server connection
    if {$gvar(iracqEvtOpen)} {
	iracqVB "closing event connection..."
	fileevent $gvar(iracqEvtStream) readable ""
	catch {close $gvar(iracqEvtStream)}
	set gvar(iracqEvtOpen) 0
    }

    return 1
}

# abort function
proc iracqAbortNoCcs {} {
    global gvar

    # abort function
    set pid [iracqGetPid $gvar(iracqSrvName)]
    if {$pid > 0} {
	set gvar(iracqAborted) 1
	eval "exec kill -USR1 $pid"
    }
}

# read result
proc iracqReadResultNoCcs {} {
    global gvar

    # check eof
    if {[eof $gvar(iracqIoStream)]} {
	fileevent $gvar(iracqIoStream) readable ""
	iracqHandleSrvErr "read error: server connection broken"
	set gvar(iracqResult) SRV_ERROR
	return
    }

    # read result
    set str ""
    if {[catch {set str [gets $gvar(iracqIoStream)]}]} {
	fileevent $gvar(iracqIoStream) readable ""
	iracqHandleSrvErr "read error: server connection broken"
	set gvar(iracqResult) SRV_ERROR
	set gvar(iracqBusyTrigger) 1
	return
    }
    switch -glob -- $str {
	"!ERROR!" {
	    set gvar(iracqResult) "ERROR"
	    set gvar(iracqBusyTrigger) 1
	    return
	}
	"!SUCCESS!" {
	    set gvar(iracqResult) "SUCCESS"
	    set gvar(iracqBusyTrigger) 1
	    return
	}
    }
   
    set gvar(iracqString) "$gvar(iracqString)$str\n"
    set gvar(iracqBusyTrigger) 1
}

# event handler
proc iracqHandleEventNoCcs {} {
    global gvar

    # check eof
    if {[eof $gvar(iracqEvtStream)]} {
	catch {fileevent $gvar(iracqEvtStream) readable ""}
	iracqHandleEvtErrNoCcs "read error: event connection broken"
	return
    }

    # read event
    set str ""
    if {[catch {set str [gets $gvar(iracqEvtStream)]}]} {
	catch {fileevent $gvar(iracqEvtStream) readable ""}
	iracqHandleEvtErrNoCcs "read error: event connection broken"
	return
    }

    # handle event
    switch -glob -- $str {
	"!ERROR_SEVERE!" {
	    set tmpStr $gvar(iracqEvtString)
	    set gvar(iracqEvtString) ""

	    # get current status again
	    iracqGetState
	    set gvar(iracqSrvSubState) "ERROR"
	    iracqDialog1 "Error Event" $tmpStr

	    return
	}
	"!ERROR!" {
	    set tmpStr $gvar(iracqEvtString)
	    set gvar(iracqEvtString) ""
	    iracqDialog1 "Error Event" $tmpStr

	    # get current status
	    iracqGetState

	    return
	}
	"!STATE_SRV!" {
	    set gvar(iracqSrvState) [string trim $gvar(iracqEvtString)]
	    set gvar(iracqEvtString) ""
	    return
	}
	"!SUBSTATE_SRV!" {
	    set gvar(iracqSrvSubStateDummy) [string trim $gvar(iracqEvtString)]
	    if {$gvar(iracqUpdateEvt)} {
		set gvar(iracqSrvSubState) $gvar(iracqSrvSubStateDummy)
	    }
	    set gvar(iracqEvtString) ""
	    return
	}
	"!DATA!" {
	    scan $gvar(iracqEvtString) "%d %s %s" p1 p2 p3
	    set gvar(iracqEvtString) ""
	    if {$p2 != "NONE"} {
		iracqFileHistory "$p2"
	    }
	    iracqHandleDtStatus $p1
	    iracqHandleExpStatus $p3
	    return
	}
	"!UPDATE!" {
	    set gvar(iracqEvtString) ""
	    iracqGetConfig
	    return
	}
	"!VB!" {
	    set len [string length $gvar(iracqEvtString)]
	    set logOut [string range $gvar(iracqEvtString) 0 [expr {$len - 2}]]  
	    iracqActionLog $logOut
	    set gvar(iracqEvtString) ""
	    return
	}
    }
   
    set gvar(iracqEvtString) "$gvar(iracqEvtString)$str\n"
}


# busy function
proc iracqBusyNoCcs {busy doRes} {
    global gvar

    if {$busy} {
	set gvar(iracqBusyState) 1
	if {$doRes == 1} {
	    $gvar(iracqCv) config -cursor watch
	    if {[winfo exists $gvar(iracqBcv).iracqAbortButton]} {
		$gvar(iracqBcv).iracqAbortButton enable
	    }

	    # disable function buttons
	}
    } else {
	$gvar(iracqCv) config -cursor left_ptr
	set gvar(iracqBusyState) 0
	if {[winfo exists $gvar(iracqBcv).iracqAbortButton]} {
	    $gvar(iracqBcv).iracqAbortButton disable
	}

	# enable function buttons
    }
}

# call irace function via i/o-stream
proc iracqFunctionNoCcs {func doRes resStr} {

    upvar $resStr diagString
    global gvar

    # check connection to server
    if {![iracqOpenServerNoCcs]} {
	return 0
    } else {
	if {![iracqOpenEventNoCcs $gvar(iracqEvtPort)]} {
	return 0
	}
    }

    if {$gvar(iracqBusyState)} {
	if {$doRes == 1} {
	    iracqDialog1 "Busy" "The server is still busy!"
	    return 0
	} else {
	    return 0
	}
    }

    set gvar(iracqAborted) 0
    iracqBusy 1 $doRes

    set gvar(iracqString) ""

    # send command
    if {[catch {puts $gvar(iracqIoStream) $func}]} {
	iracqBusy 0 $doRes
	catch {fileevent $gvar(iracqIoStream) readable ""}
	iracqHandleSrvErr "write error: server connection is broken"
	return 0
    }

    # flush output
    if {[catch {flush $gvar(iracqIoStream)}]} {
	iracqBusy 0 $doRes
	catch {fileevent $gvar(iracqIoStream) readable ""}
	iracqHandleSrvErr "flush error: server connection is broken"
	return 0
    }

    # wait for result
    tkwait variable gvar(iracqResult)

    set result $gvar(iracqResult)
    
    if {$gvar(iracqAborted)} {
	set diagString "aborted\n"
	set result "ERROR"
    } else {
	set diagString $gvar(iracqString)
    }

    if {$result == "SRV_ERROR"} {
	iracqBusy 0 $doRes
	return 0
    }

    scan $func "%s" cmdString

    if {$doRes} {
	# enable result box for insertion
	$gvar(iracqText) configure -state normal
	
	# get result-text index
	set i1 [$gvar(iracqText) index end]

	# append result to result-text
	$gvar(iracqText) insert end "\n$cmdString:\n$diagString"
	$gvar(iracqText) see end 

	# get result-text index
	set i2 [$gvar(iracqText) index end]
	
	# disable insertion 
	$gvar(iracqText) configure -state disabled
    }


    # evaluate result
    switch $result {
	"SUCCESS" {
	    # success
	    iracqBusy 0 $doRes
	    if {$doRes} {
		$gvar(iracqText) tag remove err $i1 $i2
	    }
	    return 1
	}
	"ERROR" {
	    # error
	    iracqBusy 0 $doRes
	    if {$doRes} {
		$gvar(iracqText) tag add err $i1 $i2
		iracqDialog1 "Error Result" "$cmdString:\n$diagString"
	    }
	    return 0
	}
    }

    return 0
}

# attach event update
proc iracqAttachUpdateNoCcs {} {
    global gvar

    if {$gvar(iracqSrvOpen)} {
	set gvar(iracqUpdateEvt) 1
	set gvar(iracqSrvSubState) $gvar(iracqSrvSubStateDummy)
    }
}

# detach event update
proc iracqDetachUpdateNoCcs {} {
    global gvar

    if {$gvar(iracqSrvOpen)} {
	set gvar(iracqUpdateEvt) 0
    }
}

#
# ___oOo___
