#
# E.S.O. - VLT project
#
# "@(#) $Id: configBitmap.tcl,v 5.34 2005/09/26 12:44:16 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    ??/??/??  created
#

#-----------------------------------------------------------------------------
# PROCEDURE : uifBitmapPanel -  Creates config. panel for bitmaps
#-----------------------------------------------------------------------------

proc uifBitmapPanel { idx top } {
   global wdgConfig xbmFrame      
                                    
   #
   #  Definition of widgets
   #

   checkbutton $top.f4.hot -text "Enable Hot-Spot"  -offvalue 0\
               -variable ckHotSpot($idx) -command "checkHotSpot $idx $top"

   UifEntry $top.f4.color -label " HotSpot Color" -width 10\
               -labelWidth $wdgConfig(lblWidth) -labelFont $wdgConfig(lblFont)

   label    $top.f5.lframe -text " Frame" -font $wdgConfig(lblFont) \
                           -anchor w -width $wdgConfig(lblWidth)

   radiobutton $top.f5.flat    -width 4  -variable xbmFrame($idx) -value flat \
               -relief flat -bd 3 -bg Gray80 -text flat -anchor w
   radiobutton $top.f5.raised -width 5 -variable xbmFrame($idx) -value raised \
               -relief raised -bd 3 -bg Gray80  -text raised -anchor w
   radiobutton $top.f5.groove -width 6 -variable xbmFrame($idx) -value groove \
               -relief groove -bd 3 -bg Gray80 -text groove -anchor w
   radiobutton $top.f5.ridge   -width 4 -variable xbmFrame($idx) -value ridge \
               -relief ridge -bd 3 -bg Gray80 -text ridge -anchor w 
   #
   #  Create configuration panel
   #
 
   pack $top.f5.lframe  -side left  -pady 12
   pack $top.f4.color   -side left
   pack $top.f4.hot     -side left  -padx 20
   pack $top.f5.flat $top.f5.raised $top.f5.groove $top.f5.ridge \
        -padx 3 -side left
}

#---------------------------------------------------------------------------- 
# PROCEDURE : checkHotSpot - Check hotSpot configuration in Bitmaps
#----------------------------------------------------------------------------

proc checkHotSpot { idx top } {
    global ckHotSpot

    if {$ckHotSpot($idx) == 0} {
       [getWdgConfig $idx wdgCmd] disable
       $top.f4.color      disable
       set myState        disabled
    } else {
       [getWdgConfig $idx wdgCmd] enable
       $top.f4.color      enable
       set myState        normal   
    }

    [getWdgConfig $idx wdgAct]  configure -state $myState 
    [getWdgConfig $idx wdgPan]  configure -state $myState
}  


#----------------------------------------------------------------------------
# PROCEDURE : configBitmap - Updates the configuration panel according
#                             to the current Bitmap Widget configuration
#----------------------------------------------------------------------------

proc configBitmap { idx top w } {
   global ckHotSpot xbmFrame 
  
   $w configure -hotSpotColor [getInput $top.f4.color]
   $w configure -frame    $xbmFrame($idx)  
   $w configure -hotSpot  $ckHotSpot($idx)
}


#----------------------------------------------------------------------------
# PROCEDURE : displayUifBitmap - Updates the configuration panel according
#                                to the current Bitmap Widget configuration
#----------------------------------------------------------------------------

proc displayUifBitmap { idx top w } {
   global ckHotSpot xbmFrame
   
   setEntry $top.f4.color  [$w cget -hotSpotColor]
   set xbmFrame($idx)      [$w cget -frame] 
   set ckHotSpot($idx)     [$w cget -hotSpot] 
   checkHotSpot $idx $top
}







