#
# E.S.O. - VLT project
#
# "@(#) $Id: configClass.tcl,v 5.34 2005/09/26 12:44:17 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.Comin   ........  created 
# M.Comin   28/03/95  Fixed bug in uifFileSelBox configuration
# M.COMIN   18/08/95  Add possibility to go directly to lib module directory
#           30/06/96  Add class type in config panel


#--------------------------------------------------------------------------- 
# PROCEDURE : uifClassPanel -  Creates config. panel for a UifClass 
#----------------------------------------------------------------------------

proc uifClassPanel { idx top } {
   global wdgConfig xbmFrame clLib clRoot clCWP clName configHelp
                     
   #
   #  Definition of widgets
   #

   set configHelp  [getWdgConfig $idx configHelp]


   set lblFont   $wdgConfig(lblFont)
   set lblWidth  $wdgConfig(lblWidth)
   set fieldLen  $wdgConfig(fieldLen)
   
   UifEntry $top.f3.clName -label " Class Name" -width $fieldLen\
            -labelWidth $lblWidth -labelFont $lblFont -variable clName($idx)

   UifEntry $top.f4.clLib -label " Library" -width $fieldLen\
            -labelWidth $lblWidth -labelFont $lblFont -variable clLib($idx)

   UifEntry $top.f5.cwp -label " Working Point" -width $fieldLen\
            -labelWidth $lblWidth -labelFont $lblFont -variable clCWP($idx) 

   label    $top.f7.lframe -text " Frame :" -font $lblFont \
                           -anchor w -width $lblWidth

   radiobutton $top.f7.flat    -width 4  -variable xbmFrame($idx) -value flat \
               -relief flat -bd 3 -bg Gray80 -text flat -anchor w
   radiobutton $top.f7.raised -width 5 -variable xbmFrame($idx) -value raised \
               -relief raised -bd 3 -bg Gray80  -text raised -anchor w
   radiobutton $top.f7.groove -width 6 -variable xbmFrame($idx) -value groove \
               -relief groove -bd 3 -bg Gray80 -text groove -anchor w
   radiobutton $top.f7.ridge   -width 4 -variable xbmFrame($idx) -value ridge \
               -relief ridge -bd 3 -bg Gray80 -text ridge -anchor w 

   checkbutton $top.f8.show        -text "Show Flag          "  -variable ckShow($idx)
   checkbutton $top.f8.globalName  -text "Global Naming      "  -variable ckGlobalName($idx)


   #
   #  Create configuration panel
   #

   $top.f3.clName disable

   pack $top.f3.clName $top.f4.clLib $top.f5.cwp -side left
   pack $top.f7.lframe  $top.f7.flat -side left -pady 5
   pack $top.f7.raised $top.f7.groove $top.f7.ridge -padx 5 -side left
   pack $top.f8.globalName  -padx 20 -side right
   pack $top.f8.show -padx 20 -side right


   UifShortHelp::add $configHelp $top.f8.show\
      {If FALSE, the class must be 'displayed' by the user}
 
   UifShortHelp::add $configHelp $top.f8.globalName \
      {If TRUE, variable which are NOT DB attributes are NOT re-named}

}


#----------------------------------------------------------------------------
# PROCEDURE : configUifClass - Updates the data structures describing the
#                              configuration of the Class
#----------------------------------------------------------------------------

proc configUifClass { idx cv top name } {
   global xbmFrame clLib clCWP ckShow ckGlobalName
   
   $cv.$name configure -relief $xbmFrame($idx) -library $clLib($idx) \
            -cwp  $clCWP($idx) -envName [getConfigInput $idx wdgEnv] \
            -show $ckShow($idx) -globalName $ckGlobalName($idx)

   # Check if the env. Name refers to a variable
   panCheckEnvName [getConfigInput $idx wdgEnv]
}


#----------------------------------------------------------------------------
# PROCEDURE : displayUifClass - Updates the configuration panel according
#                               to the current Class configuration
#----------------------------------------------------------------------------

proc displayUifClass { idx cv top name } {
   global xbmFrame clLib clCWP clName ckShow ckGlobalName

   set clCWP($idx) ""; set clLib($idx) "" ; set clName($idx) ""

   set clName($idx)   [winfo class $cv.$name ]  
   set xbmFrame($idx) [$cv.$name cget -relief]
   set clLib($idx)    [$cv.$name cget -library]  
   set clCWP($idx)    [$cv.$name cget -cwp]

   set ckShow($idx)   [$cv.$name cget -show]
   set ckGlobalName($idx)  [$cv.$name cget -globalName]

   setConfigEntry $idx wdgEnv [$cv.$name cget -envName]
}
