#
# E.S.O. - VLT project
#
# "@(#) $Id: configEntry.tcl,v 5.34 2005/09/26 12:44:17 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    ??/??/??  created
#           15/12/97  add option -units
#


#-----------------------------------------------------------------------------
# PROCEDURE : panelEntry -  Creates config. panel for UifEntry Class
#-----------------------------------------------------------------------------

proc uifEntryPanel { idx top name } {
   global par wdgConfig ckDataType  ckRange  ckType  ckDbMin  ckDbMax   
   global i_dataType  i_ckRange  i_ckType 

   #
   #  Definition of widgets
   #
 
   addFormatAndUnits $idx UifEntry

   set tmpFrame $top.f15

   label $tmpFrame.l1  -text " Data Type" -font $wdgConfig(lblFont)\
                      -width $wdgConfig(lblWidth) -anchor w

   radiobutton $tmpFrame.ascii  -text "ASCII" -value $par(ASCII)\
               -variable ckDataType($idx) -command "checkDataType $idx"  
                             
   radiobutton $tmpFrame.numb  -text "Number" -value $par(NUMBER)\
                -variable ckDataType($idx) -command "checkDataType $idx"

#   checkbutton $top.f11.range -text "Check Range" -variable ckRange 
#   checkbutton $top.f12.type   -text "Check  Type" -variable ckType

   #
   #  Create configuration panel
   #

   pack $tmpFrame.l1                   -side left -pady 8 
   pack $tmpFrame.ascii $tmpFrame.numb -side left -padx 10
   
#   pack $top.f11.range  -side right  -padx 50
#   pack $top.f12.type   -side right  -padx 50
   
   #
   # Set Current Options 
   #   
   # set ckRange [getWidget $name $i_ckRange ]
  
   set ckType($idx)     [getWidget $name $i_ckType ]
   set ckDataType($idx) [getWidget $name $i_dataType ] ; checkDataType $idx
}

#------------------------------------------------------------------------------
# PROCEDURE : displayUifEntry - 
#------------------------------------------------------------------------------

proc displayUifEntry { idx cv top name } {
   setEntry [getWdgConfig $idx wdgUnits]    [$cv.$name cget -units]
   displayMin $idx $name
   displayMax $idx $name 
}

#------------------------------------------------------------------------------
# PROCEDURE : configUifEntry - Updates the data structures describing the
#                                    configuration of the UifEntry Class
#------------------------------------------------------------------------------

proc configUifEntry { idx cv top name } {
   global ckDataType ckRange ckType ckDbMin ckDbMax
   global i_dataType  i_ckRange  i_ckType i_min  i_max

   $cv.$name configure -units [getInput [getWdgConfig $idx wdgUnits]]

   set min [getValue $idx $name [getWdgConfig $idx wdgMin] ckDbMin]
   set max [getValue $idx $name [getWdgConfig $idx wdgMax] ckDbMax]
        
   $cv.$name configure  -minVal $min
   $cv.$name configure  -maxVal $max
   
   if { $ckDbMin($idx) == 0 } { saveWidget $name $i_min  $min }
   if { $ckDbMax($idx) == 0 } { saveWidget $name $i_max  $max }
     
   saveWidget $name $i_dataType  $ckDataType($idx)     
#   saveWidget $name $i_ckRange   $ckRange($idx)            
   saveWidget $name $i_ckType    $ckType($idx)
}


#----------------------------------------------------------------------------- 
# PROCEDURE : checkDataType - Check Type of data in Entry Widgets
#-----------------------------------------------------------------------------

proc checkDataType { idx } {
    global par ckDataType

    set wdgMin [getWdgConfig $idx wdgMin]
    set wdgMax [getWdgConfig $idx wdgMax]

    if {$ckDataType($idx) == $par(ASCII)} {
       $wdgMin disable
       $wdgMax disable
       set myState disabled
    } else {
       $wdgMin enable
       $wdgMax enable
       set myState normal
    }

    ${wdgMax}DB  configure -state $myState
    ${wdgMin}DB  configure -state $myState    
       
#    $top.f11.range configure -state $myState    
}




