#
# E.S.O. - VLT project
#
# "@(#) $Id: configOptionButton.tcl,v 5.34 2005/09/26 12:44:25 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.COMIN   27/04/95  created 
# mcomin    27/02/96  Porting to TK4.0
#           25/06/97  Add options -itemValue -selectMode
#

#-----------------------------------------------------------------------------
# PROCEDURE : panelOptButton -  Creates config. panel for UifOptionButton
#------------------------------------------------------------------------------

proc uifOptButtonPanel { idx top type } {
   global panSelectMode wdgConfig

   configListValues $idx $type ;# Create sub-panel to configure a list

   set f10 $top.f10

   label  $f10.lbl -text " Select Mode :" -font $wdgConfig(lblFont)\
                    -anchor w -width $wdgConfig(lblWidth)

   radiobutton $f10.label -text "Label" -value label \
                               -variable panSelectMode($idx) -anchor w

   radiobutton $f10.value -text "Value" -value value \
                               -variable panSelectMode($idx) -anchor w

   pack $f10.lbl $f10.label -side left
   pack $f10.value -side left -padx 5
}


#------------------------------------------------------------------------------
# PROCEDURE : configUifOptButton - Updates the data structures describing 
#                                  the widget configuration 
#------------------------------------------------------------------------------

proc configUifOptButton { idx cv top name } {
   global wdgConfig panSelectMode

   set configList [getWdgConfig $idx configList]
   set numbItems  [$configList getSize]
   set itemList  {}
   set itemValue {}
   set emptyFlag 1

   for { set i 0 } {$i < $numbItems} { incr i } {
       lassign [$configList getItem $i] value string
       lappend itemList  $string
       lappend itemValue $value
       if {$value != ""} { set emptyFlag 0 }
   }

   $cv.$name deleteEntry  0 last ;# Clear Widget
   $cv.$name configure -itemList $itemList -selectMode $panSelectMode($idx)

   if {$emptyFlag} {
      $cv.$name configure -itemValue ""
   } else {
      $cv.$name configure -itemValue $itemValue
   }
}



#------------------------------------------------------------------------------
# PROCEDURE : displayUifOptButton - Updates the configuration panel according
#                                   to the current Class configuration
#------------------------------------------------------------------------------

proc displayUifOptButton { idx cv top name } {
   global wdgConfig panSelectMode

   set panSelectMode($idx)  [$cv.$name cget -selectMode]

   set l1 [$cv.$name cget -itemList]
   set l2 [$cv.$name cget -itemValue]
   set len [llength $l1]

   for {set pos 0} {$pos < $len} { incr pos} {
      if {[set value [lindex $l2 $pos]] == ""} { set value \"\" }
      set tmp [format $wdgConfig(listFormat) $value \"[lindex $l1 $pos]\" ""]
      [getWdgConfig $idx configList] addItem $pos $tmp
   }
}
