#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: configOutputLed.tcl,v 5.34 2005/09/26 12:44:30 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  05/01/98  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc uifOutputLedPanel { idx top type } {
   global  wdgConfig

   set f1  [getWdgConfig $idx frameLedFlash]
   set lblFont     $wdgConfig(lblFont)
   set lblWidth    $wdgConfig(lblWidth)

   set wdgTime    $f1.wdgTime

   UifEntry $wdgTime -label " Flashing Time" -width 6 -units msec \
               -labelWidth $lblWidth -labelFont $lblFont

   UifOptionButton ${wdgTime}Ck -itemList {Normal Flash Blink} -selectMode value\
	   -itemValue { 0 1 2 } -length 8 -variable ckFlashing($idx)

#   checkbutton ${wdgTime}Ck -text "Flashing Mode" -variable ckFlashing($idx)

   set f12 $top.f12
  
   label $f12.lblOFF -text "OFF State Color" -font $wdgConfig(lblFont)
   frame $f12.frameOFF -width 10 -height 10 -bd 1 -relief ridge

   button $f12.setOFF -text "Set ..." -command "getStateColor $idx $top colorOff"

   label $f12.lblON -text "     ON State Color" -font $wdgConfig(lblFont)
   frame $f12.frameON -width 10 -height 10 -bd 1 -relief ridge

   button $f12.setON -text "Set ..." -command "getStateColor $idx $top colorOn"

   #
   #  Create configuration panel
   #
   pack $wdgTime -side left
   pack ${wdgTime}Ck -side left -padx 30
   pack $f12.lblOFF $f12.frameOFF $f12.setOFF -padx 5 -side left
   pack $f12.lblON  $f12.frameON  $f12.setON  -padx 5 -side left
}

#-----------------------------------------------------------------------------
# PROCEDURE : outputLedButton - Updates the configuration panel according 
#                               to the current UifButton Class configuration
#-----------------------------------------------------------------------------

proc displayOutputLed { idx cv top name } {
   global ckFlashing

   set f1  [getWdgConfig $idx frameLedFlash]

   setEntry $f1.wdgTime [$cv.$name cget -flashTime]
#   set ckFlashing($idx) [$cv.$name cget -flashing] 

   $f1.wdgTimeCk setValue [$cv.$name cget -flashing]

   setWdgConfig $idx colorOn  [$cv.$name cget -colorOn]
   setWdgConfig $idx colorOff [$cv.$name cget -colorOff]

   set f12 $top.f12
   $f12.frameON  configure -background [$cv.$name cget -colorOn]
   $f12.frameOFF configure -background [$cv.$name cget -colorOff]
}


#-----------------------------------------------------------------------------
# PROCEDURE : configOutputLed - Updates the data structures describing the
#                               configuration of the UifButton Class
#-----------------------------------------------------------------------------

proc configOutputLed { idx cv type name } {
   global ckFlashing

   set f1  [getWdgConfig $idx frameLedFlash]
   $cv.$name configure -flashTime  [getInput $f1.wdgTime] \
        -flashing $ckFlashing($idx) -colorOn [getWdgConfig $idx colorOn]\
        -colorOff [getWdgConfig $idx colorOff]
}


proc getStateColor { idx top optName } {
   if {[cequal $optName colorOn]} {
        $top.f12.frameON  configure -background [getConfigColor $idx $optName]
   } else {
       $top.f12.frameOFF  configure -background [getConfigColor $idx $optName]
   }
}




#
# ___oOo___
