#
# E.S.O. - VLT project
#
# "@(#) $Id: configRCButton.tcl,v 5.34 2005/09/26 12:44:25 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.Comin   ........  created 
# M.Comin   27/03/95  Add command configuration param.
# M.COMIN   04/05/95  Add panel to create group of RadioButtons
# M.COMIN   20/05/95  Radio/Check button with the same code
#
# mcomin    27/02/96  Porting to TK4.0
# mcomin    17/04/97  Add  panSaveConfigVar
#


#----------------------------------------------------------------------------- 
# PROCEDURE : panelRCButton  -  Creates config. panel for radioButtons
#                               and checkButtons
#-----------------------------------------------------------------------------

proc panelRCButton { idx type } {
   global wdgConfig ckDbVar ckDbOnvalue ckDbOffvalue i_dbVar i_dbOn i_dbOff
        
   #
   #  Definition of widgets
   #
 
   set frameRange [getWdgConfig $idx frameRange]
   set row1       [frame $frameRange.r1]
   set row2       [frame $frameRange.r2]

   pack $row1 $row2 -fill x

   set wdgOn  $row1.wdgOn  ; setWdgConfig $idx wdgOn  $wdgOn 
   set wdgOff $row2.wdgOff ; setWdgConfig $idx wdgOff $wdgOff
 
   UifEntry $wdgOn -label " ON Value" -width $wdgConfig(fieldLen)\
            -labelFont $wdgConfig(lblFont) -labelWidth $wdgConfig(lblWidth)

   checkbutton ${wdgOn}DB -text "DB" -variable ckDbOnvalue($idx)

   #
   #  Create configuration panel
   #

   pack $wdgOn     -side left
   pack ${wdgOn}DB -side right -padx 3

   if {[cequal $type UifCheckButton]} {

      UifEntry $wdgOff -label " OFF Value" -labelWidth $wdgConfig(lblWidth) \
               -width $wdgConfig(fieldLen) -labelFont $wdgConfig(lblFont) 

      checkbutton ${wdgOff}DB -text "DB" -variable ckDbOffvalue($idx)
      pack $wdgOff     -side left
      pack ${wdgOff}DB -side right -padx 3
   }
}

#------------------------------------------------------------------------------
# PROCEDURE : configUifRadioButton - Updates the data structures describing the
#                                    configuration of the Radio/Check button
#------------------------------------------------------------------------------

proc configRCButton { idx cv type name } {
   global wdgConfig

   set w $cv.$name 
   set tmp [getWdgConfig $idx wdgOn]
   $w configure -onVal [getValue $idx $name $tmp ckDbOnvalue]

   if {[cequal $type UifCheckButton]} {
      set tmp [getWdgConfig $idx wdgOff]
      $w configure -offVal [getValue $idx $name $tmp ckDbOffvalue]
   }
}

#------------------------------------------------------------------------------
# PROCEDURE : displayRCButton - Updates the configuration panel according
#                               to the current Radio/Check Button configuration
#------------------------------------------------------------------------------

proc displayRCButton { idx cv type name } {
   global wdgConfig ckDbOnvalue ckDbOffvalue i_dbOn i_dbOff db_onval db_offval

   #
   # Display 'ON' value
   #
       
   if { [ set ckDbOnvalue($idx) [getWidget $name $i_dbOn]] == 1} {      
        setConfigEntry $idx wdgOn [getDbConfig $name $db_onval]       
   } else {       
        setConfigEntry $idx wdgOn [$cv.$name cget -onVal]
   }
   #
   # Display 'ON' value
   #
   if {[cequal $type UifCheckButton]} {
      if { [ set ckDbOffvalue($idx) [getWidget  $name $i_dbOff ]] == 1} {
           setConfigEntry $idx wdgOff [getDbConfig $name $db_offval]
      } else {       
           setConfigEntry $idx wdgOff [$cv.$name cget -offVal]
      }
   }
}


#------------------------------------------------------------------------------
# PROCEDURE : panCreateRB - 
#------------------------------------------------------------------------------

proc panCreateRB { type } {
   global wdgConfig par cv rbOrientation

   set c    $par(CONFIG_PANEL) ;# Root name for config. panel
   toplevel $c                 ;# Define the outer most part of the panel
    wm withdraw $c

   set top   [frame $c.top]
   set bot   [frame $c.bot -relief raised -border 2]
   set line1 [frame $bot.line1];

   set lblFont  "-Adobe-courier-bold-r-normal--12*-iso8859-1"
   set configHelp $bot.sh

   #
   #  Definition of names for frames
   #
          
   frame $top.f1 ; frame $top.f2 ; frame $top.f3 ; frame $top.f4 ;
   frame $top.f5
    
   pack $c.top -fill both  -padx 5 -pady 10 ;   # Create top    frame
   pack $c.bot -fill both  -padx 5 -pady 3;     # Create bottom frame

   pack $top.f1  $top.f2  $top.f3  $top.f4  $top.f5  -fill x
                         
   #
   #  Definition of common widgets
   #

   UifEntry $top.f1.numb -label "Buttons #" -width 4\
                         -labelWidth 12 -labelFont $lblFont

   UifEntry $top.f1.wdgLen -label "Length" -width 4\
                         -labelWidth 10 -labelFont $lblFont

   UifEntry $top.f2.wdgEnv -label "Env. Name" -width 7\
                         -labelWidth 12 -labelFont $lblFont

   UifEntry $top.f3.wdgVar -label "Variable" -width 25\
                         -labelWidth 12 -labelFont $lblFont

   checkbutton $c.top.f3.dbVar -text "DB" -variable rbDbVar

   UifEntry $top.f4.wdgDef -label "Default" -width 25\
                         -labelWidth 12 -labelFont $lblFont

   checkbutton $c.top.f4.dbdef  -text "DB" -variable rbDbDef -state disabled

   label $c.top.f5.layout -text "Layout : " -width 12 -font $lblFont -anchor w

   radiobutton $c.top.f5.ver  -text "Vertical" -width 10 -value "v" \
                              -variable rbOrientation

   radiobutton $c.top.f5.hor  -text "Horizontal" -width 10 -value "h" \
                              -variable rbOrientation

   UifActionButton $line1.cancel -label "Cancel" -width 10 -command "destroy $c"

   UifActionButton $line1.apply -label "Apply" -width 10 \
                   -command "panNewRB $cv $c.top $type ; destroy $c"
   
   UifShortHelp $configHelp

   #
   #  Add Common Widgets
   #

   pack $c.top.f1.numb $c.top.f1.wdgLen  -side left -pady 5 -padx 5
   pack $c.top.f2.wdgEnv                 -side left -pady 5 -padx 5
   pack $c.top.f3.wdgVar $c.top.f3.dbVar -side left -pady 5 -padx 5
   pack $c.top.f4.wdgDef $c.top.f4.dbdef  -side left -pady 5 -padx 5
   pack $c.top.f5.layout                 -side left -pady 5 -padx 5
   pack $c.top.f5.ver $c.top.f5.hor      -side left -pady 5 -padx 5

   #
   #  Create bottom part of the panel
   #
   
   pack $configHelp  -fill x 
   pack $line1  -pady 5  -fill x

   pack $line1.apply  $line1.cancel   -expand 1 -side left
   
   wm geometry $c   +$par(POPUP_POSX)+$par(POPUP_POSY)
   wm title    $c   "Create Radio Buttons"

   #
   # Update  panel with current config.
   #

   set rbOrientation "v"
   $c.top.f1.numb   insert 0 2
   $c.top.f1.wdgLen insert 0 0

    wm deiconify $c
   focus       $c 
   tkwait visibility $c;   # Returns when the panel is 'visible' on screen
   grab              $c;   # Allow user interaction only with this panel
   
}


proc panNewRB { cv top type } {
   global par gvar i_default rbOrientation rbDbVar

   set max     [getInput $top.f1.numb]
   set len     [getInput $top.f1.wdgLen]
   set var     [getInput $top.f3.wdgVar]
   set envName [getInput $top.f2.wdgEnv]
   set default [getInput $top.f4.wdgDef] 

   set oldx $par(X) ; set oldy $par(Y)

   for { set i 0 } { $i < $max } { incr i } {

       set name  [newWidget $type ] ;   # Create new widget

       if {$rbOrientation == "v" } {
          incr par(Y) 30
       } else {
          incr par(X) 120
       }

       $cv.$name configure -label "rb${i}" -variable "gvar($var)" \
                           -width $len -onVal $i

       saveWidget  $name $i_default $default
       panSaveConfigVar $cv $name $type $var
       saveDbInterface $cv $name $type $envName $var $rbDbVar 0 0 0 0   
   }

   set par(X) $oldx
   set par(Y) $oldy
   set gvar($var) $default ; # Set current value to default
}
