#
# E.S.O. - VLT project
#
# "@(#) $Id: configUsrLib.tcl,v 5.34 2005/09/26 12:44:22 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.Comin   05/07/94  Created
# ------------------
# M.Comin   29/05/96  Option fg, bg changed to foreground, background
#           09/12/96  Add path for /usr/local/lib .. libraries
#

#
#-----------------------------------------------------------------------------
# PROCEDURE : panelUsrLib - Creates sub-panel to link to user's defined libs
#-----------------------------------------------------------------------------

proc panelUsrLib { } {
   global  par panUsrLib panMyLib myLibList

   set c  $par(SUB_PANEL);

   if {[winfo exists $c ]} {
      raise $c ; return
   }

   toplevel $c;                    # Define the outer most part of the panel 

     
   frame $c.r1; frame $c.r3 ; frame $c.r9;

   label $c.r1.llib  -text "Library : "
   entry $c.r1.lib   -textvariable panMyLib  -width 25 -relief sunken;

   set myLibList $c.r3.libList

   UifListBox $myLibList -geometry 30x5

   UifActionButton $c.r9.delete  -label "Delete"  -width 8 -foreground yellow \
		                 -activeforeground yellow -background red \
                                 -activebackground plum \
                                 -command "panDeleteLib $c.r3.libList"

   UifActionButton $c.r9.cancel  -label "Cancel" -width 8 -command "destroy $c"

   pack $c.r1 $c.r3 $c.r9    -fill both -pady 3

   pack $c.r1.llib $c.r1.lib -side left -padx 5 -pady 10
   pack $myLibList           -side left -padx 5

   pack $c.r9.delete $c.r9.cancel -side left -expand 1 -pady 7

   panInitUsrLibList ;    # Initialization

   $c.r3.libList setBind <B1-ButtonRelease> "panSelectLib $c.r3.libList"
   bind $c.r1.lib  <Return>  "panAddLib $c.r3.libList"
}

#-----------------------------------------------------------------------------
# PROCEDURE : panInitUsrLibList - This routine add a new library
#-----------------------------------------------------------------------------

proc panInitUsrLibList { } {
   global par panUsrLib panMyLib myLibList

   if { [winfo exists $par(SUB_PANEL)] == 0} return ;

   set panMyLib "" ;   # Clear selected library entry field

   $myLibList deleteItem 0 end ; # Clear list

   if { [llength $panUsrLib] != 0 } {
      foreach name $panUsrLib {
         $myLibList addItem end $name
      }
   }
}


#-----------------------------------------------------------------------------
# PROCEDURE : panAddLib - This routine add a new library
#-----------------------------------------------------------------------------

proc panAddLib { listWdg } {
   global panMyLib 

   if { [file extension $panMyLib] == "" } { append panMyLib ".tcl" }

   if { [panUpdateAutoPath $panMyLib] != "" } {
     $listWdg addItem end $panMyLib
   }
}

#-----------------------------------------------------------------------------
# PROCEDURE : panDeleteLib - This routine deletes a library from the list
#-----------------------------------------------------------------------------

proc panDeleteLib { listWdg } {
   global panUsrLib panMyLib

   if { [set idx [lsearch $panUsrLib $panMyLib]] >= 0 } {
     set panUsrLib [lreplace $panUsrLib $idx $idx]
     $listWdg  deleteItem $idx
     set panMyLib ""
   }
}

#-----------------------------------------------------------------------------
# PROCEDURE : panSelectLib - This routine selects a library
#-----------------------------------------------------------------------------

proc panSelectLib { listWdg } {
   global panUsrLib panMyLib
 
   if {[set idx [$listWdg getIndex]] != ""} {
      set panMyLib [lindex $panUsrLib $idx]
   }
}

