#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: createMainMenuBar.tcl,v 5.34 2005/09/26 12:44:21 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  01/03/96  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

########################################################
#          Create the Panel Editor menuBar             #
########################################################

proc createMainMenuBar {} {
   global par panDEBUG mainCursorGrid

   set menuBar  [ makeMenuFrame $par(MAIN_ROOT) ] 

   set mbHelp [addMenu $menuBar  Help  -1 right];      # Help Menu

   addMenuCmd $mbHelp "Extended Help"  -1  {puts "Not Implemented"}

   #
   #  File Menu
   #

   set mbFile [addMenu $menuBar " File "  -1];
   set par(mbFile) $mbFile

   addMenuCmd $mbFile "New"           -1  "newPanel y"
   $mbFile    add   separator
   addMenuCmd $mbFile "Load"          -1  "loadPanel"
   addMenuCmd $mbFile "Save"          -1 "save"
   addMenuCmd $mbFile "Save As ..."   -1  "saveAs"
   $mbFile    add   separator
   addMenuCmd $mbFile "Load Class"        -1  "loadPanel $par(CLASS)" 
   addMenuCmd $mbFile "Save Class"        -1  "save      $par(CLASS)"
   addMenuCmd $mbFile "Save Class As ..." -1  "saveAs    $par(CLASS)"
   $mbFile    add   separator
   addMenuCmd $mbFile "Print"         -1  { } ;
   addMenuCmd $mbFile "Print to File" -1  { } ;
   addMenuCmd $mbFile "Quit"          -1   { panelQuit }
   
   #
   #  Standard Components Menu
   #

   set mbStd [addMenu $menuBar " Std. Comp. "  0]; 

   addMenuCk $mbStd Menubar       -1  {uplevel #0 set par(SAVE_FLAG) 1; checkMenuBar} ckMenuBar
   addMenuCk $mbStd "Short help"  -1  {uplevel #0 set par(SAVE_FLAG) 1; checkShHelp}  ckShHelp 
   addMenuCk $mbStd "Cmd. Reply"  -1  {uplevel #0 set par(SAVE_FLAG) 1; addCmdReplyWidget } ckCmdReply
   addMenuCk $mbStd "Heart Beat"  -1  {uplevel #0 set par(SAVE_FLAG) 1; checkHeartBeat} ckHeartBeat
   $mbStd  add     separator
   addMenuCmd $mbStd "Add 'Std. Options' menuButton"  -1  {global menuBar; panCreateStdOption $menuBar}
   #
   #  Options Menu
   #

   set mbOpt [addMenu $menuBar " Options "  -1];

   addMenuRb  $mbOpt "Greyscale" -1 {panReadOption; applyColor} colordef "bw"  
   addMenuRb  $mbOpt "Spring"  -1 {panReadOption; applyColor} colordef "spring"
   addMenuRb  $mbOpt "Summer"  -1 {panReadOption; applyColor} colordef "summer"
   addMenuRb  $mbOpt "Autumm"  -1 {panReadOption; applyColor} colordef "autumm"
   addMenuRb  $mbOpt "Winter"  -1 {panReadOption; applyColor} colordef "winter"

   $mbOpt     add     separator
   addMenuCk  $mbOpt "Colour Printer" -1 {}  colorprint ;
   $mbOpt     add     separator
   addMenuCmd $mbOpt  "Register User Library"   -1   {panelUsrLib}

   #
   #  Screen Menu
   #

   set mbScreen [addMenu $menuBar " Screen "  -1];

   addMenuCmd $mbScreen "Raise Widget Palette" -1 panCreateWdgSet

   addMenuCmd $mbScreen "Raise Edited Panel"  -1 \
	      { global par ; raise $par(ROOT_PANEL) ; wm deiconify $par(ROOT_PANEL)}

   $mbScreen  add  separator
   $mbScreen  add  separator

   set gridOn 0
   addMenuCk  $mbScreen  "Draw Grid" -1 panDrawGrid  gridOn

   set mbGrid [addCascadeMenu $mbScreen mbGrid "Cursor Grid" 0]

   addMenuRb  $mbGrid "None"   -1 panDrawGrid mainCursorGrid None
   addMenuRb  $mbGrid "Small"  -1 panDrawGrid mainCursorGrid Small
   addMenuRb  $mbGrid "Normal" -1 panDrawGrid mainCursorGrid Normal
   addMenuRb  $mbGrid "Large"  -1 panDrawGrid mainCursorGrid Large

   set mainCursorGrid Small
   #
   #  Debug Menu
   #

   set mbDebug  [addMenu $menuBar " Debug "  0];
   set panDEBUG dbgNONE

   addMenuRb  $mbDebug "Disable DEBUG "      -1 {} panDEBUG dbgNONE
   addMenuRb  $mbDebug "User Level DEBUG"    -1 {} panDEBUG dbgUSER
   addMenuRb  $mbDebug "Develop Level DEBUG" -1 {} panDEBUG dbgDEV
   $mbDebug   add     separator
   $mbDebug   add     separator
   addMenuCmd $mbDebug  "Clear Sequener Debug Flags"   -1   {panSeqDebug 0}
   addMenuCmd $mbDebug  "Set   Sequener Debug Flags"   -1   {panSeqDebug 1}
   set subMenu [addCascadeMenu $mbDebug seqDebug "Select Sequencer Debug Flags" -1]
   $mbDebug   add     separator
   $mbDebug   add     separator

   addMenuCk  $mbDebug  "Enable DB Polling"   -1  \
              { global cv pollRate ; panStartDbPoll $cv $pollRate } ckDbPoll

   $mbDebug   add     separator

   addMenuCmd  $mbDebug "Re-Start DB Events" -1 \
	   { global cv ; panEvtDbOperation $cv RESTART all }
   addMenuCmd  $mbDebug "Stop  DB Events" -1 \
	   { global cv ; panEvtDbOperation $cv DETACH all }           

   $mbDebug   add     separator

   addMenuCmd  $mbDebug "Show Widget Info" -1  panDbgWidgetInfo

   # Sequencer Debug Menu

   addMenuCk $subMenu "ccsInit"          -1 {} seq_debug(seq_ccsInit) 
   $subMenu   add     separator
   addMenuCk $subMenu "dbReadSymbolic"   -1 {} seq_debug(seq_dbReadSymbolic)
   addMenuCk $subMenu "dbSetCwp"         -1 {} seq_debug(seq_dbSetCwp)
   addMenuCk $subMenu "dbWriteSymbolic"  -1 {} seq_debug(seq_dbWriteSymbolic)
   $subMenu   add     separator
   addMenuCk $subMenu "Receive Reply"    -1 {} seq_debug(seq_msgRecvReply)
   addMenuCk $subMenu "Send Command"     -1 {} seq_debug(seq_msgSendCommand)
   addMenuCk $subMenu "Send Reply"       -1 {} seq_debug(seq_msgSendReply)
   $subMenu   add     separator
   addMenuCk $subMenu "Event Attach"     -1 {} seq_debug(seq_evtAttach)
   addMenuCk $subMenu "Event Detach"     -1 {} seq_debug(seq_evtDetach)

   # Disable specific items 
   
   $mbOpt  entryconfigure 7  -state disabled
   $mbFile entryconfigure 11 -state disabled
   $mbFile entryconfigure 12 -state disabled  
}

proc panSeqDebug { what } {
  global seq_debug

  set flagList [list seq_ccsInit seq_dbReadSymbolic seq_dbSetCwp seq_dbWriteSymbolic seq_msgRecvReply\
               seq_msgSendCommand seq_msgSendReply seq_evtAttach seq_evtDetach]

  foreach item $flagList {
    set seq_debug($item) $what
  }
}

proc addCmdReplyWidget {} {
   global par ckCmdReply 

    if {$ckCmdReply == 0} {
       checkCmdReply
       return
    }

    if {![info exists par(sizeCmdReply)]} { 
       set par(sizeCmdReply) 2 
    }

    set newVal [promptDialog .cmdSize "Number of Replies" $par(sizeCmdReply)]

    if {![cequal $newVal ""]} { set par(sizeCmdReply) $newVal }

    checkCmdReply
}

#
# ___oOo___
