#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panCopyWidget.tcl,v 5.34 2005/09/26 12:44:27 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    21/06/95  created
# mcomin    12/09/95  add check on exists of new widget name
# mcomin    30/10/95  fixed bug in treating evtScript 
# mcomin    03/12/95  stateVar is automatically set to "" in the new widget
#
# mcomin    27/02/96  Porting to TK4.0
#
#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc panCopyWidget { cv oldName newName } {
   global par panDbData panWidgetHlp panWidget panEvtScript
   global i_type i_clAnchor i_bitmap

   if {[winfo exists $cv.$newName]} {
      set msg "widget  $newName\nALREADY EXISTS !! "
      tk_dialog .dialog "Dialog Box" $msg info 0 OK
      return "FAILURE"
   }

#   puts "DBG > panCopyWidget old = $oldName   new = $newName"
   #
   # Duplicate widget data structure with the new widget name
   #

   set type  [getWidget $oldName $i_type]
     
   if { [info exist panDbData($oldName)] } {
      set panDbData($newName) $panDbData($oldName)
   }

   if { [info exist panWidgetHlp($oldName)] } {
      set panWidgetHlp($newName) $panWidgetHlp($oldName)
   }

   switch $type {
       UifBitmap { set bitmap   [getWidget $oldName $i_bitmap] 
                   set optParam [findVLTFile bitmaps/$bitmap]
                 }
       UifClass  { set optParam [winfo class  $cv.$oldName] }
       PubClass  { set optParam [winfo class  $cv.$oldName] }
       default   { set optParam "" }
   }    
   
   if { $type == "PubClass" } {
      set panAnchor [getWidget $oldName $i_clAnchor]
   } else {   
      set panAnchor [$cv.$oldName cget -canvasAnchor]
   }

   # Create new instance with default values
   createWidget $type $newName $cv $panAnchor $optParam;  # Create new widget

   set newList $panWidget($oldName)

   # Replace in old list of parameters the new coordinates

    set xcoord [expr {int($par(X))}]
    set ycoord [expr {int($par(Y))}]
    set newList [lreplace $panWidget($oldName) 1 2 $xcoord $ycoord]

    set panWidget($newName) $newList

   #
   # Duplicate resource definitions
   #
  
   set resources [panGetWdgResources $cv $oldName]
   set w         $cv.$newName 
   
   eval $w configure $resources ; # Create new instance of the widget

   switch $type {
      UifClass  { $w setRecName $newName }
      UifOutput -
      UifBarChart -
      UifOutputString {
         #
         # Update default event script according to new widget name
         #
         set tmpScript [$cv.$oldName cget -evtScript]
	 if {[llength $tmpScript] > 1} {
            $w configure -evtScript [lreplace $tmpScript 1 1 $newName]
         }
     }
   } ;# End of switch

#   puts "DBG > panCopyWidget : resources = $resources"
   panSetWidgetBind  $cv $newName $type
   
   incr par(SAVE_FLAG)
}

#----------------------------------------------------------------------------
# PROCEDURE : panGetWdgResources -
#----------------------------------------------------------------------------

proc panGetWdgResources { cv name {format {stream}} {what {skipEmpty}} } {
   global panWidget i_type

   set w         $cv.$name 
   set resources {}
   set type      [getWidget $name $i_type] 

   foreach item [$w config ] {

     set name    [lindex $item 0]; # Get resource name
     set value   [$w cget $name];  # Get current value

     # Select proper resources to be re-defined

     if {$type == "UifClass" && $name != "-library" && $name != "-cwp" } {
        continue
     } 
     
     if {$what == "skipEmpty" && $value == ""} { continue }

     if {$format == "list"} {
        lappend resources "$name $value" ; 
     } else {
        lappend resources $name $value
     } 
   }
   return $resources
}



#
# ___oOo___
