#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panCreateWdgSet.tcl,v 5.34 2005/09/26 12:44:29 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  26/05/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc panCreateWdgSet {} {
   global par wdgConfig mainHelp wdgHelp

   set top .wdgSet

   if {[winfo exists $top]} {
      wm deiconify $top
      raise $top
      return
   }

   set par(WIDGET_SET)    "Basic"
   set par(oldWIDGET_SET) ""
   toplevel $top

   set cursor    [frame $top.cursor   -bd 2 -relief raised]   
   set wdgFrame  [frame $top.wdgFrame -bd 3 -relief raised]
   set rbFrame   [frame $top.rbFrame]

   label $top.lblWdg -text "Widget Set" \
                     -font "-Adobe-courier-bold-r-normal--14*-iso8859-1"

   set wdgConfig(lblFont) "-Adobe-courier-bold-r-normal--12*-iso8859-1"

   pack $cursor  -fill x -pady 2
   pack $top.lblWdg -pady 10 -padx 5 -anchor w
   pack $rbFrame    -fill x
   pack $wdgFrame   -fill both -pady 5 -expand 1

   # Show cursor coordinates

   label $cursor.x -width 5 -relief ridge -bd 2 -textvariable par(X) -fg blue
   label $cursor.y -width 5 -relief ridge -bd 2 -textvariable par(Y) -fg blue
   label $cursor.lbl -width 12 -text "Cursor Position (X,Y)" -anchor w\
                     -font "-Adobe-helvetica-bold-r-normal--12*-iso8859-1"

   pack $cursor.lbl $cursor.x $cursor.y -side left -padx 5 -pady 10

   # Widget selection
   
   radiobutton $rbFrame.basic -text "Basic" -variable par(WIDGET_SET) \
               -value "Basic" -font $wdgConfig(lblFont) \
               -command "panWidgetSet $wdgFrame"

   radiobutton $rbFrame.common -text "Common" -variable par(WIDGET_SET) \
               -value "Common" -font $wdgConfig(lblFont)\
               -command "panWidgetSet $wdgFrame"

   radiobutton $rbFrame.graphic -text "Graphic" -variable par(WIDGET_SET) \
               -value "Graphic" -font $wdgConfig(lblFont) \
               -command "panWidgetSet $wdgFrame"
 
   pack $rbFrame.basic $rbFrame.common $rbFrame.graphic \
        -side left -anchor w -pady 2 -padx 3

   set par(LCV_BG) [lindex [$wdgFrame configure -background] 4]

   panWidgetSet $wdgFrame ;# Default 

   UifShortHelp::add $mainHelp $wdgFrame $wdgHelp

   wm  geometry $top 220x465+1100+10
   wm title     $top "Widgets"
   wm resizable $top 1 1
}


proc panWidgetSet { top } {
   global par 

   if {$par(WIDGET_SET) == "$par(oldWIDGET_SET)" } { return }

   # Delete previous set of widgets
   foreach w [winfo children $top] {
      destroy $w
   }

   set par(oldWIDGET_SET) $par(WIDGET_SET)

   if {$par(WIDGET_SET) == "Basic"} {

       set wdgLabel [list "arrows button" barchart button bitmap checkbutton\
                    entry frame listbox "option button" output "output list" "output array"\
                    "output led" "output string" "output icon" radiobutton scale \
                    "text (xterm like)" ]

       set wdgList [list UifArrowsButton UifBarChart UifButton UifBitmap \
                   UifCheckButton\
                   UifEntry UifFrame UifListBox UifOptionButton UifOutput\
                   UifOutputList UifOutputArray UifOutputLed UifOutputString\
                   UifOutputIcon UifRadioButton UifScale UifText ]

       panSwitchWidgets $top $wdgLabel $wdgList

   } elseif {$par(WIDGET_SET) == "Common"} {

       set wdgLabel [list  "class container" "class frame" "plot"\
                           "plotter" "strip chart" "strip chart plotter" ]

       set wdgList [list classContainer classFrame UifPlot UifPlotter \
                      UifStripChart UifStripChartPlotter ]

       panSwitchWidgets $top $wdgLabel $wdgList

   } else {
      panGraphicWidgets $top
   }
}

#------------------------------------
#            Graphic Primititves
#------------------------------------

proc panGraphicWidgets { top } {
   global par 

   #------------------------------------
   #            Graphic Primititves
   #------------------------------------

   button $top.text -bitmap @[findVLTFile bitmaps/text.xbm] \
	 -bg $par(LCV_BG)  -activebackground green\
         -command "newWidget freeText"

   button $top.circle -bitmap @[findVLTFile bitmaps/circle.xbm] \
	-bg $par(LCV_BG) -state disabled

   # PolyLine

   button $top.polyLine -bitmap @[findVLTFile bitmaps/polyLine.xbm] \
          -bg $par(LCV_BG) -state disabled

   # Rectangle

   button $top.rectangle -bitmap @[findVLTFile bitmaps/rectangle.xbm] \
          -state disabled -bg $par(LCV_BG) 

   # Polygon

   button $top.polygon -bitmap @[findVLTFile bitmaps/polygon.xbm] \
	-bg $par(LCV_BG) -state disabled

   pack $top.text  $top.circle $top.polyLine \
        $top.rectangle  $top.polygon -pady 5 -padx 5
}


proc panSwitchWidgets { top wdgLabel wdgList } {
   global par

   UifListBox $top.wdgList -itemList $wdgLabel -scrollx 0 \
              -geometry 20x18 -font "-Adobe-courier-medium-r-normal--14*-iso8859-1" \
              -selectforeground green

   pack $top.wdgList -pady 5 -padx 5 -anchor w

   set w [$top.wdgList component uifListBox]

   $top.wdgList setBind <1> "panNewBasicWidget $w $wdgList"
   bind $w <Motion> "panSelectWidget $w %y"
   bind $w <Leave>  "$w selection clear 0 end"
     
}

proc panSelectWidget { w y } {
   $w selection clear 0 end
   $w selection set [$w nearest $y]
}

proc panNewBasicWidget { w args } {
   global par cv panMaxWdg  i_clib
   set idx [$w curselection]

   set wdgType [lindex $args $idx]

   switch $wdgType {
      UifRadioButton  { 
          panCreateRB $wdgType 
      }
      UifOutputStatus - UifOutputBitmap {
          set do nothing
      }

      default {

          if {[cequal $par(WIDGET_SET) Common]} {

             panGetCvNames $par(ROOT_PANEL) cv bcv

             set name [string trimleft "$par(ROOT_PANEL)-wdg${panMaxWdg}" "."]
             incr panMaxWdg

             set ret [createClass PubClass $name $cv nw $wdgType]

             if {$ret != "FAILURE"} { saveWidget $name $i_clib uifCommon }

          } else {
             newWidget $wdgType 
          }
      }
   }
}
#
# ___oOo___
