#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panSaveMisc.tcl,v 5.34 2005/09/26 12:44:28 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  11/12/96  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#
#----------------------------------------------------------------------------
# PROCEDURE : panNewWdgName - Returns the new name of the array element,
#                             according to the new ROOT_PANEL.
#----------------------------------------------------------------------------

proc panNewWdgName { name } {
   global par fileName

   if { [regexp {([a-zA-Z0-9]+)-([a-zA-Z0-9]+)} $name all file wdgName] } {

      set myName "[getMyRoot $fileName]-${wdgName}"

   } else {

      set myName $name

      if {[regexp {([a-zA-Z]+)([0-9]+)} $name all prefix id] } {
         if {[string match "wdg*" $prefix ]} {
         
            # Now the format can be wdg34 or wdgDUMMY34 
                
            set tmp [string range $prefix 3 end]
            
            if {[regexp {([a-zA-Z]+)} $tmp all] == 0 } {           
               set myName "[getMyRoot $fileName]-${name}"
            }
         }
      }
   } 

#   puts "DBG > panNewWdgName : $name -> $myName (ROOT = $par(ROOT_PANEL) )"
   return $myName
}

#----------------------------------------------------------------------------
# PROCEDURE : panNewVarName - Returns the new name of the variable,
#                             according to the new ROOT_PANEL.
#----------------------------------------------------------------------------

proc panNewVarName {name} {
   global par fileName    
   
   # Check if this is Rtap syntax : gvar(xx:yy:.zz(a))
   
#   puts "DBG> panNewVarName  $name"

   if { [string first ":" $name ] != -1 || [string first "." $name ] != -1} {
      return $name
   }
     
   # Element is not Rtap attribute

   set myVar $name    
   if {[regexp -nocase {([a-z0-9\_]*)-+([a-z0-9]*)} $myVar all tmp1 tmp2]} {
      set myRoot  [getMyRoot $fileName]
      set myVar   ${myRoot}-${tmp2}
   }

   return $myVar
}






#
# ___oOo___
