#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibClickMenu.tcl,v 1.21 2003/11/18 12:40:55 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    21/09/95  created
#
# mcomin    09/03/96  Porting to TK4.0 and itcl2.0
#
#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibClickMenu   <appl> <widget name>  <button label>
#      ptlibSetOptMenu  <appl> <widget name>  <option>
#
#   DESCRIPTION
#
#      ptlibClickMenu
#
#
#      ptlibSetOptMenu  
#
#
#      The procedures generates a log on the standard output of the user 
#      action.
#      
#      If the widget does not exists it generates a proper log and returns
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

namespace inscope :: {
    if {$tcl_version >= 8.4} {
        ::tk::unsupported::ExposePrivateCommand tkButton*
        ::tk::unsupported::ExposePrivateCommand tkMb*
#        ::tk::unsupported::ExposePrivateCommand MbPost
    }
}



proc  ptlibClickMenu { appl wdg name } {

   if {[ptlibLogAction $appl $wdg "SELECTS" $name]} { return }

   set myMenu ${wdg}.menu
   send $appl raise $myMenu
   after 300
   send $appl tkMbPost $wdg
   set last [send $appl $myMenu index last]

   if {$last == "none"} { puts "EMPTY MENU  $wdg" ; return }

   if {[set idx [send $appl tkMenuFindName $myMenu \"$name\"]] != "" } {
      send $appl raise $myMenu
      after 300
      send $appl tkMenuUnpost $myMenu
      catch { send $appl $myMenu invoke $idx }
   } else {
      puts "ITEM $name DOES NOT EXIST in $wdg"
   }

   catch { send $appl tkMenuUnpost }
   return
}


proc  ptlibSetOptMenu { appl wdg option } {

   ptlibLogAction $appl $wdg "SELECT OPTION" $option

   set myMenu [send $appl $wdg getMenuName]   
   set len    [expr {[string last "." $myMenu] - 1}]   
   set tmp    [string range $myMenu 0 $len]
      
   send $appl raise $tmp
   send $appl tkMbPost $tmp  
   set last [send $appl $myMenu index last]

   if {$last == "none"} { puts "EMPTY MENU  $wdg" ; return }

   if {[set idx [send $appl tkMenuFindName $myMenu \"$option\"]] != "" } {
      send $appl raise $myMenu
      send $appl tkMenuUnpost $myMenu
      catch { send $appl $myMenu invoke $idx }
   } else {
      puts "ITEM $option DOES NOT EXIST in $wdg"
   }

   catch { send $appl tkMenuUnpost }
   return
}

#
# ___oOo___
