#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibClickRCButton.tcl,v 1.21 2003/11/18 12:40:55 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    21/09/95  created
#
# mcomin    09/03/96  Porting to TK4.0 and itcl2.0

#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibClickRCButton <appl> <widget name>
#
#   DESCRIPTION
#      
#      Simulate the clicking of a radio/check button by a user.
#
#      appl     <IN>  Name of the Tcl/Tk application
#      wdgName  <IN>  Full widget name
#
#      The procedure generates a log on the standard output of the user action.
#      
#      If the widget does not exists it generates a proper log and returns
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

namespace inscope :: {
    if {$tcl_version >= 8.4} {
        ::tk::unsupported::ExposePrivateCommand tkButton*
    }
}

proc ptlibClickRCButton  { appl wdg } {

   if { [ptlibLogAction $appl $wdg]} { return }

   send $appl tkButtonEnter $wdg
   send $appl tkButtonDown  $wdg
   send $appl tkButtonUp    $wdg
   send $appl tkButtonLeave $wdg
   flush stdout
}

#
# ___oOo___
