#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibDbRead.tcl,v 1.21 2003/11/18 12:40:55 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  21/09/95    created
# mcomin  05/10/95    add cwp parameter
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibDbRead <DB attribute> ?flags? ?cwp?
#
#   DESCRIPTION
#      
#      Prints the current value of a DB attribute on the standard output.
#
#      DB attribute  <IN>  Database attribute symbolic name
#
#      The procedure generates two messages :
#
#          DB Read <DB attribute> = <value>  , in case of success
#      or
#
#          DB Read Failed on <DB attribute>  , in case of failure
#          Reason         :  <log text>
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   Returns the value of the database attribute
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc ptlibDbRead { attr args } {
   set c         [string index $attr 0]
   set cwpEnv    ""
   set flagDUMP  1

   if {[set idx [lsearch $args "NO_DUMP"]] != -1 } {
      set args [lreplace $args $idx $idx]
      set flagDUMP 0
   }

   set cwp [lindex $args 0]

   if {[string index $cwp 0] == "@" } {
      set tmp    [split  $cwp ":<"]
      set cwpEnv [lindex $tmp 0]
      set cwpEnv [string trim $cwpEnv "@ "]
   }

   if { $cwpEnv != "" && $c != ":" && $c != "<" } {
       set fullName "@${cwpEnv}<relative>"
   } else {
       set fullName ""
   }

   append fullName $attr

   if { [catch {seq_dbReadSymbolic $fullName} ret] } {
      puts "DB Read Failed on $fullName"
      puts "Reason         :  $ret"
   } else {
      if {$flagDUMP} { puts "DB Read $fullName = $ret" }
   }   

   return $ret
}

#
# ___oOo___
