#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibPanelData.tcl,v 1.21 2003/11/18 12:40:56 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    21/09/95  created
# mcomin    07/11/95  Modified to support classes
# mcomin    14/12/95  panGetWidgetReference replaced with panWdgReferenceList
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibPanelData <appl> <widget root> 
#
#   DESCRIPTION
#      
#      Dumps the current values of the variables associated to each widget
#      of a window -i.e.- a canvas.
#
#      appl         <IN>  Name of the Tcl/Tk application
#      widget root  <IN>  Full name of the parent-widget.
#
#      The procedure generates a log on the standard output of the user action.
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc ptlibPanelData { appl root } {

   set wdgList [send $appl panWdgReferenceList $root all uifType]

   puts "\nTEST WIDGET DATA IN $appl UNDER $root "
   
   foreach name [lsort $wdgList] {
   
      set fullName [send $appl panGetWdgPath $root $name]
      ptlibWidgetData $appl $fullName $name ; # Dump Widget Data 
   }
   puts "\n"
}


proc ptlibWidgetData {appl fullName wdgName {tagFlag {}} } {

   set type [send $appl winfo class $fullName] 

#   puts "ptlibWidgetData >  wdgName = $wdgName   type = $type  tagFlag = $tagFlag"

   if {$type == "UifButton" || $type == "UifActionButton"} {
      set flag [catch { set var [send $appl $fullName cget -stateVar] } ret]
   } else {
      set flag [catch { set var [send $appl $fullName cget -variable ] } ret]
   }

   if {$flag} {
      puts "WIDGET $fullName DOES NOT HAVE OPTION 'variable' "
      return
   }

   if {$type == "UifOutputString"} {
      set tmp [send $appl $fullName getComponentPath uifOutputString ]

      set val [send $appl $tmp cget -text ]

      if { $tagFlag != "" } {
         puts "OPTION -text \"${val}\""
      } else {
         puts "WIDGET $wdgName OPTION -text \"${val}\""
      }
   }

   if {[catch { set val [eval send $appl set $var]} ret ] } {
      puts "WIDGET VARIABLE $var DOES NOT EXIST"
   } else {
      
      if { $tagFlag != "" } {
         puts "VARIABLE $var = \"$val\""
      } else {
         puts "WIDGET $wdgName VARIABLE $var = \"$val\""
      }
   }

   return
}



#
# ___oOo___
