#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibSetEntry.tcl,v 1.21 2003/11/18 12:40:56 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  21/09/95  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibSetEntry <appl> <widget name> <text>
#
#   DESCRIPTION
#      
#      Simulate the typing of data into an entry widget by a user.
#
#      appl     <IN>  Name of the Tcl/Tk application
#      wdgName  <IN>  Full widget name
#      text     <IN>  Text to type in
#
#      The procedure generates a log on the standard output of the user action.
#      
#      If the widget does not exists it generates a proper log and returns
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc ptlibSetEntry  { appl wdg text args } {

   if {[lsearch $args "DUMMY_LOG"] != -1} {
      set ret [ptlibLogAction $appl $wdg TYPE "VALUE_NOT_CONSTANT"]
   } else {
      set ret [ptlibLogAction $appl $wdg TYPE $text]
   }

   if {$ret} { return }

   set var [send $appl $wdg cget -variable]
   send $appl set $var \"$text\"
}

#
# ___oOo___
