#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibSetScale.tcl,v 1.21 2003/11/18 12:40:57 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  21/09/95  created
#
# mcomin    09/03/96  Porting to TK4.0 and itcl2.0
#
#************************************************************************
#   NAME
# 
#   SYNOPSIS
#      
#      ptlibSetScale <appl> <widget name> <value>
#
#   DESCRIPTION
#      
#      Simulate the typing of data into an entry widget by a user.
#
#      appl     <IN>  Name of the Tcl/Tk application
#      wdgName  <IN>  Full widget name
#      value    <IN>  New scale value (integer)
#
#      The procedure generates a log on the standard output of the user action.
#      
#      If the widget does not exists it generates a proper log and returns
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
# 

proc ptlibSetScale  { appl wdg value } {

   if {[ptlibLogAction $appl $wdg "SET SCALE TO" $value]} { return }
   
   send $appl $wdg setValue $value
}

#
# ___oOo___
