#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: rtdbZoomView.tcl,v 1.24 2005/06/19 19:36:30 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# pbiereic  15/02/00  created
# pbiereic  19/12/00  unpacked scrollbars from image
#

#************************************************************************
#   NAME
#   rtdbZoomView.tcl - itcl widget which inherits the RtdImageZoomView class
# 
#   SYNOPSIS
#   rtdbZoomView <path> ?options?
# 
#   DESCRIPTION
#   rtdbZoomView inherits RtdImageZoomView and redefines methods to
#   use a second zoom view needed by rtdbPick
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#   RtdImageZoomView.tcl, RTD documentation
#
#   BUGS     
#
#------------------------------------------------------------------------

itk::usual rtdbZoomView {}

class ::rtdbZoomView {
    inherit ::rtd::RtdImageZoomView

    constructor {args} {
	# the constructor of RtdImageZoomView needs the args list
	eval RtdImageZoomView::constructor $args
    } {}

    method init {} {
	foreach sb "hscrollf vscrollf" {
	    catch {pack forget [$itk_component(image) component $sb]}
	}
    }

    # increment or decrement the zoom factor

    method inc_zoom {inc} {
	lassign [$image_ scale] xs
	if {"$xs" == ""} {
	    return
	}
	incr xs $inc
	if {$xs < 1} {
	    set xs 1
	} elseif {$xs > 50} {
	    set xs 50
	} 
	
	$image_ scale $xs $xs
	config -factor $xs
	$w_ scale
	set cmd $itk_option(-command)
	if {"$cmd" != ""} {
	    #catch {eval $cmd}
	    eval $cmd
	}
    }

    # called when the zoom checkbutton is pressed
    
    public method zoom {{clear 0}} {
	if {! $clear} {
	    catch {$target_image_ view remove $image_}
	    $target_image_ view add $image_ 0
	    $target_image_ view update $image_ 0 0 \
		    $itk_option(-width) $itk_option(-height) 0 0 0 0 image
	    $image_ scale $itk_option(-factor) $itk_option(-factor)
	    $target_image_ zoomview start $image_  1 0 2
	    $w_ scale
	} else {
	    $target_image_ zoomview stop 2
	    $image_ clear ximage
	    catch {$target_image_ view remove $image_}
	}
    }
    
    # -- options --

    # -- protected vars --
}

# ___oOo___
