#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: uifPlotter.tcl,v 3.49 2005/09/07 11:45:59 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# cerpello  22/10/96  created
# mcomin    03/12/96  Update man page
#

#************************************************************************
#   NAME
#     UifPlotter - Static Plotter with control buttons
#   SYNOPSIS
#     UifPlotter <widget-name>
#   DESCRIPTION
#     UifPlotter is a widget that the user can interactively use to display
#     static plots. The widget is derived by the UifPlot widget.
#
#     At the bottom it contains the following buttons :
#
#     - "Plot ..."   This is used to call a configuration panel to select
#                    the plotting options, such as : color, symbol and 
#                    data file.
#
#     - "Reset"      Clears the widget of all curves.
#
#   COMPONENTS
#
#   METHODS
#     Inherit all methods by UifPlot class.
#
#   PUBLIC VARIABLES
#
#   WIDGET OPTIONS 
#     Inherit all options by UifPlot class.
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#     UifPlot
#   BUGS     
#
#------------------------------------------------------------------------
#

class UifPlotter {
   inherit UifPlot
   constructor {args} {} 
}

#---------------------------------------------------------------------------
# Constructor
#---------------------------------------------------------------------------

body UifPlotter::constructor {args} {
   
   itk_component add fbuttons {
      frame $itk_component(f).fbuttons
   }
           
   itk_component add buttonPlot {
      button $itk_component(fbuttons).plot -text "Plot..." -command \
      	    "$this plotConfig; $this plot" -width 9 
   } {
     keep -cursor ;# Dummy option to exclude all the others
   }
               
   itk_component add buttonReset {
      button $itk_component(fbuttons).reset -text "Reset" \
             -command "$this reset" -width 8 
   } {
     keep -cursor ;# Dummy option to exclude all the others
   }
   
   pack $itk_component(fbuttons) -fill x -pady 3
   pack $itk_component(buttonPlot) $itk_component(buttonReset) \
        -side left -expand 1
      
   eval itk_initialize $args ;  # User's configuration
} 

#
# ___oOo___
