#***********************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wpActRemove.tcl,v 1.23 1998/03/09 08:55:27 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    12/04/95  created
# gfilippi  31/05/95  set as a separate file from wpAccountLib.tcl
# mcomin    11/09/97  Fixed bug when deleting last element
#
#************************************************************************
#   NAME
#
#     wpActRemove - handle remove of an activity the list
#
#   DESCRIPTION
#
#     Internal procedure for 'Activity Account' panel (wpActivity.pan)
#
#------------------------------------------------------------------------
#

#------------------------------------------------------------------------
# PROCEDURE : wpActRemove  - Remove an activity from list
#------------------------------------------------------------------------

proc wpActRemove { } {
   global gvar wpLastSelection wpListWidget wpActRecord wpDummyRec

   set tmp "Do you want to REMOVE \nthe selected activity ?"
   if {[tk_dialog .dialog "Dialog Box" $tmp question 1 Continue Cancel]} { 
      return 
   }

   set lastPos [$wpListWidget getSize]
   if { [set myPos [$wpListWidget getIndex]] == "" } { return }

   # Move selected item to the bottom

   for { set i $myPos } { $i < $lastPos } { incr i } {
       wpMoveDown
   }

   # Delete item at the bottom and clear data structure

   $wpListWidget deleteItem end
   set wpActRecord($lastPos) $wpDummyRec ;# Set to dummy record

   for { set i 1 } {$i < 9} {incr i} {
       set gvar(cell_${i}_${lastPos}) "" ;# Clear row of entry widgets
   }

   if {$myPos == [$wpListWidget getSize]} { incr myPos -1 }

   $wpListWidget setCursor $myPos ; # Set selection to last element
   wpSetSelection ;                 # Highlight selected element
   wpTotal ;                        # Re-calculate totals
#   showData
}

#
# ___oOo___
