#***********************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wpLoadActivity.tcl,v 1.23 1998/03/09 08:55:25 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    12/04/95  created
# mcomin    21/07/95  add switch for Info
#
#************************************************************************
#   NAME
#
#     wpLoadActivity - Loads the description of an activity into the 
#                      'Activity' Editor
#
#   SYNOPSIS
#
#     wpLoadActivity <file> <mode>
#
#   DESCRIPTION
#
#     Loads a file from the 'activity database'.
#
#     <file>   identifies the name of the activity
#              The fileName has the format : WP<number>_<activity_name>
#
#     <mode>   Edit/Create/Info 
#
#   FILES
#
#   ENVIRONMENT
#
#     The environment variable PLAN_ROOT must be defined.
#
#   CAUTIONS
#
#     Files must be terminated with a <Carriage Return>
#
#------------------------------------------------------------------------
#

#------------------------------------------------------------------------
# PROCEDURE : wpActInit  - 
#------------------------------------------------------------------------

proc wpLoadActivity { file mode } {

   global gvar cv env shArea wpText wpMode

   if {$file == "" } {return}
   
   if {[info exists env(PLAN_ROOT)] == 0 } {
      set tmp "Cannot Load Activity : env. var. PLAN_ROOT not defined"
      $shArea configure -text $tmp
      return
   }

   #
   # Clear fields
   #

   $wpText      deleteText 1.0 end
   set gvar(wpNumber) ""
   set gvar(actName)  ""

   if {$wpMode == "Edit" || $wpMode == "Info" } {

      set filePath "$env(PLAN_ROOT)/activities/$file"

      if { [regexp {(WP)([0-9]+)_([0-9a-zA-Z_-]+)} $file all tmp wp act ] } {     
          set gvar(actName)  $act       
          set gvar(wpNumber) $wp
      } else {
          set gvar(actName) $file
      }

      if { [catch { open $filePath "r" 0666 } fid] } {
         set tmp "Cannot open file : $filePath"
         $shArea configure -text $tmp
         return
      }

      $wpText insertText 1.0 [read $fid 100000]
      close $fid

    } elseif {$wpMode == "Create"} {

      set    template "<WP Title> \n\n  - <entry>  <description>  <time> \n\n"
      append template "Milestones : \n\n"
      append template "Resources  : \n\n"

      $wpText insertText 1.0 $template
   }
}

#
# ___oOo___
