# E.S.O. - VLT project 
# $Id: rtdConfig.sh.in,v 2.80 2005/10/09 17:06:18 vltsccm Exp $
#
# rtdConfig.sh --
#
# This shell script (for sh) is generated automatically by Rtd's
# configure script.  It will create shell variables for most of
# the configuration options discovered by the configure script.
# This script is intended to be included by other configure scripts
# so that they don't have to figure this all out for themselves.
#
# The information in this file is specific to a single platform.
#
# who             when      what
# --------------  --------  ---------------------------------------------
# Allan Brighton  08/04/97  Created
#

# version of the Rtd library
RTD_VERSION='2.80'

# C Compiler used for RTD
RTD_CC='gcc -fwritable-strings'

# C++ Compiler used for RTD
RTD_CXX='gcc'

# -I option for make depend with C++ sources
RTD_CXX_INCLUDE='-I'

# OS version
RTD_OSVERSION='Linux-2.6.11.6'

# target to use for make depend
RTD_DEPEND_TARGET='dep'

# Flags to pass to cc when compiling the components of a shared library:
RTD_SHLIB_CFLAGS='-fPIC'

# Base command to use for combining object files into a shared library:
RTD_SHLIB_LD='gcc -ansi -shared -fPIC'

# Suffix to use for the name of a shared library.
RTD_SHLIB_SUFFIX='.so'

# Either '$LIBS' (if dependent libraries should be included when linking
# shared libraries) or an empty string.  See Tcl's configure.in for more
# explanation.
RTD_SHLIB_LD_LIBS='${LIBS}'

# Library file(s) to include in tclsh and other base applications
# in order to provide facilities needed by DLOBJ above.
RTD_DL_LIBS='-ldl'

# Flags to pass to the compiler when linking object files into
# an executable tclsh or tcltest binary.
RTD_LD_FLAGS=' -Wl,--export-dynamic'

# Flags to pass to cc, such as "-Wl,-R,/usr/local/tcl/lib", that tell the
# run-time dynamic linker where to look for shared libraries such as
# libtcl.so.  Used when linking applications.  Only works if there
# is a variable "LIB_RUNTIME_DIR" defined in the Makefile.
RTD_LD_SEARCH_FLAGS='-Wl,-rpath,${LIB_RUNTIME_DIR}'

# root of rtd source tree
RTD_SRC_ROOT='/home/vltnoccs/VLTSW/DMD/rtd/rtd'

# list of rtd subdirectory pathnames (depends on --with-notcl flag)
RTD_SUBDIRS='/home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdevt                  /home/vltnoccs/VLTSW/DMD/rtd/rtd/rtilib 		 /home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdrmt                  /home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdimg'

# If this is true, build library with no Tcl access
RTD_NO_TCL='0'

# -I flag for X include files
RTD_XINCSW='-I/usr/X11R6/include'

# -L and -l flags for X libs
RTD_XLIBSW='-L/usr/X11R6/lib -lX11 -lXext'

# flags for linking tcl and ext libs
RTD_TCL_LIB_SPEC='-L/vlt/JAN2006/tcltk/lib -ltcl8.4${TCL_DBGX}'
RTD_TK_LIB_SPEC='-L/vlt/JAN2006/tcltk/lib -ltk8.4'
RTD_TCLX_LIB_SPEC='-L/vlt/JAN2006/tcltk/lib/tclx8.4 -ltclx8.4'
RTD_ITCL_LIB_SPEC='-L/vlt/JAN2006/tcltk/lib/itcl3.3 -litcl3.3'
RTD_ITK_LIB_SPEC='-L/vlt/JAN2006/tcltk/lib/itk3.3 -litk3.3'
RTD_BLT_LIB_SPEC='-lBLT'

# include flags
RTD_TCLINCSW='-I/vlt/JAN2006/tcltk/include -I/vlt/JAN2006/tcltk/include/itcl'
RTD_TKINCSW='-I/vlt/JAN2006/tcltk/include -I/vlt/JAN2006/tcltk/include/itcl'

# tcl library files
RTD_TCL_LIBRARY='/vlt/JAN2006/tcltk/lib/tcl8.4'
RTD_TK_LIBRARY='/vlt/JAN2006/tcltk/lib/tk8.4'
RTD_BLT_LIBRARY='/vlt/JAN2006/tcltk/lib/blt2.4'

# other package versions used by RTD
RTD_TCL_VERSION='8.4'
RTD_TK_VERSION='8.4'
RTD_ITCL_VERSION='3.3'
RTD_ITK_VERSION='3.3'
RTD_TCLX_VERSION='8.4'
RTD_BLT_VERSION='2.4'

# system libs to link
RTD_LIBS=' -lnsl -lresolv -ldl'

# RTD install dirs
RTD_DESTDIR='${INSTALL_TARGET}'
RTD_BINDIR='${INSTALL_TARGET}/bin'
RTD_LIBDIR='${INSTALL_TARGET}/lib'
RTD_INCDIR='${INSTALL_TARGET}/include/rtd'
RTD_MANDIR='${INSTALL_TARGET}/man'
RTD_DIR='${INSTALL_TARGET}/lib/rtd'

# default location of Rtd library files
RTD_LIBRARY='${INSTALL_TARGET}/lib/rtd'

# location of Rtd library files in source tree
RTD_BUILD_LIBRARY='/home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdimg/library'

# -I flags to pick up the rtd include files from the build dirs
RTD_BUILD_INCLUDES='-I/home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdimg/include -I/home/vltnoccs/VLTSW/DMD/rtd/rtd/rtilib/include -I/home/vltnoccs/VLTSW/DMD/rtd/rtd/rtdevt/include'

# Flags to pass to cc, such as "-Wl,-R,/usr/local/tcl/lib", that tell the
# run-time dynamic linker where to look for shared libraries such as
# libtcl.so.  Used when linking applications.  Only works if there
# is a variable "LIB_RUNTIME_DIR" defined in the Makefile.
RTD_LIB_RUNTIME_DIR='/vlt/JAN2006/NOCCS/lib:/vlt/JAN2006/NOCCS/lib/itcl:/vlt/JAN2006/tcltk/lib:/vlt/JAN2006/tcltk/lib/itcl:/vlt/JAN2006/tcltk/lib/itcl3.3:/vlt/JAN2006/tcltk/lib/itk3.3'

# The environment variable TCLTK_ROOT may be set before running configure
# to help locate the correct Tcl/Tk installation
RTD_TCLTK_ROOT='/vlt/JAN2006/tcltk'


# String to pass to linker to pick up the Rtd library from its
# build directory.
RTD_BUILD_LIB_SPEC='-L/home/vltnoccs/VLTSW/DMD/rtd/rtd -lrtd'

# static version of above
RTD_BUILD_LIB_SPEC_STATIC='/home/vltnoccs/VLTSW/DMD/rtd/rtd/librtd.a'

# String to pass to linker to pick up the Rtd library from its
# installed directory.
RTD_LIB_SPEC='-L${INSTALL_TARGET}/lib -lrtd'

# static version of above
RTD_LIB_SPEC_STATIC='${INSTALL_TARGET}/lib/librtd.a'
