.\" This Man Page has been automatically produced. DO NOT EDIT THIS FILE!!!!!!
.\" Input file:  bobPanedComboBox.tcl
.\" Formatter :  @(#) $Id: docDoManPages.c,v 1.37 2005/09/30 13:12:01 vltsccm Exp $
.\" -----------------------------------------------
.TH BobPanedComboBox n "VLTSW-JAN2006 27/10/05-16:47"
.SH NAME 
BobPanedComboBox - special paned combo-box style megawidget for bob's
specific needs

.SH SYNOPSIS 
.nf 
.LP 
BobPanedComboBox <widgetName> ?<option> <value>? ?<option> <value>?

.SH DESCRIPTION 
.nf 
.LP 
BobPanedComboBox creates an iTk-style mega-widget, designed especially
for the needs of bob. The widget consists of the following elements:
- a listbox (top left) to show typically the names of variables
- a listbox (top right) to show typically the values of variables.
  There is be a 1-to-1 correspondence between the lines of both
  listboxes, i.e. the name of a variable and its value are displayed
  in the same vertical position, and any positioning action in one
  listbox will be followed by the same action in the other.
- an entry field (bottom left), showing e.g. the name of the variable
  currently being edited
- an entry field (bottom right), showing the current value of the variable
  being edited
- optionally a scrollbar (see -scrollbar option below); moving this
  scrollbar will move both listboxes
These elements are organized in 2 paned windows, with a vertical
separation bar in the middle, and a sash between the two columns,
allowing to redistribute the available space between the name part (left)
and value part (right).

.SH PUBLIC METHODS 
.nf 
.LP 
fraction <left> <right>: redistribute the space of the panes as indicated
        by the numbers <left> and <right>. These 2 numbers must add up to
        100.
getEntries : returns a list with 2 sublists, namely the list of entries
        in the left resp. right listbox.
insert {<leftList> <rightList>} : append items to the end of the left and
        right listboxes; the single argument consists of 2 sublists, one
        for each listbox. Both sublists must have the same size

.SH WIDGET BINDINGS 
.nf 
.LP 
The normal class bindings for listboxes resp. entry fields apply, with the
following exceptions or modifications:
<Button1>: for listboxes and entry field
    get focus, select item (for listbox and entry field)
<Button1-Motion>: for listboxes and scrollbar
    drag & select
<Key-Prior> (= PageUp): for listboxes/entry fields
    show previous page in listboxes
<Key-Next> (= PageDown): for listboxes/entry fields
     show next page
<Key-Up> (= Arrow up): for listboxes/entry fields
     select previous element in listboxes
<Key-Down> (= Arrow down): for listbox/entry field
     select next element in listboxes
<Key-Home>: for listboxes/entry fields
     show top of listbox resp. beginning of line
<Key-End>: for listboxes/entry fields
     show end of listbox resp. end of line
<Key-Enter>: for entry fields
     accept entry-field value
<Key-Escape>: for entry fields
     restore entry as selected in listbox into the entry fields
<Key-Delete>: for listboxes/entry fields
     delete selection
<Key-Insert>: for listboxes/entry fields
     insert new element into the listboxes resp. paste copy buffer into
     entry field


.SH INHERITANCE 
.nf 
.LP 
itk::Widget<-bobPanedComboBox

.SH STANDARD OPTIONS 
.nf 
.LP 
cursor          font           height             width
borderWidth     relief         selectBackground   selectForeground

See the options(n) manual entry for details on the standard options.

WIDGET-SPECIFIC OPTIONS
-helpvariable (name: helpVariable, class: Variable)
    The name of the global Tcl-variable which is used to display help text
    i.e. this widget will change the contents of this variable according
    to the position of the cursor over its constituent widgets.
-leftlabel (name: leftLabel, class: Label)
    label to display on top of the left listbox; default: empty (no label)
-leftlisthelp (name: leftListHelp, class: Help)
    The short help text for the left listbox; default: empty (no help)
-leftentryhelp (name: leftEntryHelp, class: Help)
    The short help text for the left entry-field; default: empty (no help)
-leftentrystate (name: leftEntryState, class: State)
    Specifies the state for the left entry field. Can be "normal" (i.e.
    editable), "disabled" or "readonly". Default: readonly
-listvariable (name: listVariable, class: Variable)
    The name of the global Tcl-variable which contains the contents of
    the 2 listboxes, if a format as returned by the getEntries method.
    If the value of this variable changes, the widget will automatically
    update itself to reflect the new values. Attempts to assign a
    variable with an invalid list of sublists to -listvariable will cause
    an error. Attempts to unset a variable in use as a -listvariable will
    fail but will not generate an error.
-rightlabel (name: rightLabel, class: Label)
    label to display on top of the right listbox; default: empty (no label)
-rightlisthelp (name: rightListHelp, class: Help)
    The short help text for the right listbox; default: empty (no help)
-rightentryhelp (name: rightEntryHelp, class: Help)
    The short help text for the right entry-field; default: empty (no help)
-rightentrystate (name: rightEntryState, class: State)
    Specifies the state for the right entry field. Can be "normal" (i.e.
    editable), "disabled" or "readonly". Default: normal
-scrollbar (name: scrollbar, class: Scrollbar)
    Controls the presence of a vertical scrollbar to the right of the
    entry-listbox. It can take the value "on", "off" or "auto". In the
    latter case, the scrollbar will appear only if the listboxes contain
    more elements than fit in a single view. Default: auto.

.SH CAUTIONS 
.nf 
.LP 
When -scrollbar is set to "auto", the need for a scrollbar is evaluated
when data are inserted in the listboxed. For the listbox sizes returned
by Tk to be correct, it is needed that this widget is being displayed.
This may not be the case if it is e.g. part of a tabnotebook page. In
this case, one should either make sure this page is displayed, or opt
for the "on" or "off" value instead of "auto".

.SH SEE ALSO 
.nf 
.LP 
options(n)

