.\" This Man Page has been automatically produced. DO NOT EDIT THIS FILE!!!!!!
.\" Input file:  bobStoreInArray.tcl
.\" Formatter :  @(#) $Id: docDoManPages.c,v 1.37 2005/09/30 13:12:01 vltsccm Exp $
.\" -----------------------------------------------
.TH bobStoreInArray n "VLTSW-JAN2006 27/10/05-16:47"
.SH NAME 
bobStoreInArray - creates data array from raw OBD data

.SH SYNOPSIS 
.nf 
.LP 
bobStoreInArray <string> <cat> ?<maxIdx>? ?<ext>?

.SH DESCRIPTION 
.nf 
.LP 
bobStoreInArray will search in the Observation Block Description
<string> for data that match a certain category <cat>, and, if found,
store these data in an array called <cat> (possibly followed by an index:
legal categories consist of 3 alphabetic characters, followed optionally
by a numeric index). Categories which permit indices can have such indices
ranging from 1 to <maxIdx> (default: 0 - no indices)

The argument <ext> here is used to be able to store also in a second
array, typically used for the values of the template signature file.  If
set, the storage happens in the array <cat><ext> (possibly with the index
in between).

This procedure cannot be part of the bobBobBaseObject class, as it needs
to be called by more specific classes (e.g. TPL), with their arrays being
private.

.SH RETURN VALUES 
.nf 
.LP 
The list of categories in <string> matching <cat> are returned.  This is
an empty list if there are no such categories in <string>.  It can be
more than 1 value if the particular <cat> appears with indices in <string>.

If <string> has a syntax error, an error will be returned with the
corresponding error message.

.SH CAUTIONS 
.nf 
.LP 
This proc requires that an array with name equal to <cat> (possibly
followed by an index) exists in the context of the caller!
It also requires that the array "names" exist at one stack level higher!

.SH SEE ALSO 
.nf 
.LP 
ICD between the VLT Control SW and the Observation Handling Subsystem
(VLT-ICD-ESO-17240-19200)

