.\" This Man Page has been automatically produced. DO NOT EDIT THIS FILE!!!!!!
.\" Input file:  seqOslxCmd.C
.\" Formatter :  @(#) $Id: docDoManPages.c,v 1.37 2005/09/30 13:12:01 vltsccm Exp $
.\" -----------------------------------------------
.TH seq_oslxCmd n "VLTSW-JAN2006 27/10/05-16:47"
.SH NAME 
seq_oslxCmd - process an oslx-command

.SH SYNOPSIS 
.nf 
.LP 
seq_oslxCmd <command> <parameter> ?<instanceId>? ?<arguments>?

.SH DESCRIPTION 
.nf 
.LP 
seq_oslxCmd will invoke oslxSHELL::CmdParser, with the following
arguments:
<command>   : name of a command supported by oslxServer
<parameter> : parameter-name going with this command (see the CDT of
              oslxServer).
<instanceId>: instance Id of the command; must be unique.  Remark that not
              all commands require this parameter
<arguments> : additional arguments of this <command> to be passed to
              oslsServer; how many of these arguments there are, depends
              on the specific <command>.

.SH ENVIRONMENT 
.nf 
.LP 
no environment nor Tcl variables are read nor set

.SH RETURN VALUES 
.nf 
.LP 
OK return if no errors occurred.  Also, the reply-buffer of this <command>
    will be returned in the result string.
ERROR return if one of the following conditions is met (with corresponding
error message here between quotes):
  - 'wrong # args : should be "seq_oslxCmd <command> <parameter>
    ?<instanceId>? ?<arguments>?"': the corresponding Sequencer command
    was given with too few arguments;
  - 'could not parse "<command> <parameter> ..." (oslxERR_...)' if oslx
    returned an error (the error message from oslx is included);

.SH CAUTIONS 
.nf 
.LP 
Remark that although the generic command syntax rules allows several
parameters and their corresponding values to be combined in a single
command, oslxServer does not do so.  So <parameter> is a *single*
parameter of <command>.

Some of the oslxServer commands affect environment variables. In order
to keep the Tcl-array "env" aligned with the process' environment, it
is therefore imperative that the seq_oslxCmd command is given within a
shell which takes care of this aspect, like seqSh or seqWish.

.SH EXAMPLES 
.nf 
.LP 
(For clarity's sake, the example is for an interactive session with
input typed by the user coming after the "seqWish>" prompt, and all
replies on a new line)

 .....
seqWish>
seqWish>.....

.SH SEE ALSO 
.nf 
.LP 
"Tcl and the Tk toolkit", John K. Ousterhout, ISBN 0-201-6337-X
oslxServer(1)

