.\" This Man Page has been automatically produced. DO NOT EDIT THIS FILE!!!!!!
.\" Input file:  seqRedirect.tcl
.\" Formatter :  @(#) $Id: docDoManPages.c,v 1.37 2005/09/30 13:12:01 vltsccm Exp $
.\" -----------------------------------------------
.TH seq_redirect n "VLTSW-JAN2006 27/10/05-16:47"
.SH NAME 
seq_redirect - redirect fileId to a disk file

.SH SYNOPSIS 
.nf 
.LP 
seq_redirect <fileId> ?<fileName> <checkPeriod> <maxSize>?

.SH DESCRIPTION 
.nf 
.LP 
When all 4 arguments of this command are specified, seq_redirect
will redirect <fileId> to <fileName>. This disk file is monitored each
<checkPeriod> seconds and whenever its size exceeds <maxSize> bytes only
the last part (10% of <maxSize>) will be kept.

If only the first argument is given, this logging to a file for <fileId>
is stopped.

This command is particularly useful to redirect e.g. stderr to a log-file,
as debugging info is always written to stderr (see seq_debug array)

.SH ENVIRONMENT 
.nf 
.LP 
no environment nor Tcl variables are read nor set

.SH RETURN VALUES 
.nf 
.LP 
returns OK, with an empty result string if all is OK.

returns ERROR with corresponding message in the result string if a file
access error occurred, or if attempting to stop redirection for a fileId
which is not being redirected.

.SH EXAMPLES 
.nf 
.LP 
(For clarity's sake, the example is for an interactive session with
input typed by the user coming after the "seqWish>" prompt, and all
replies on a new line)

 .....
seqWish>seq_redirect stderr /tmp/myLogFile 3600 1000000
seqWish>
 .....
seqWish>seq_redirect stderr
seqWish>

.SH SEE ALSO 
.nf 
.LP 
"Tcl and the Tk toolkit", John K. Ousterhout, ISBN 0-201-6337-X

